<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "400, 524, 525, 865, 1373, 1565, 1566, 1567, 1568"
strThisBackPage = "config" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY SHIPPING ZONE						
'-----------------------------------------------

'-----------------------------------------------
'COLLECT VALUES FROM QUERYSTRING
'-----------------------------------------------
SZ_ID = NumSafe(request.QueryString("SZ_ID"))

'Arrays for info to go in
Dim SZ_Name()
Redim SZ_Name(numTotalLanguages)

'-----------------------------------------------
'PULL OUT THE SHIPPING ZONE INFO				
'-----------------------------------------------
If SZ_ID > 0 then
	strQuery = "SELECT tblCactuShop" & TABLE_PREFIX & "ShippingZones.* FROM tblCactuShop" & TABLE_PREFIX & "ShippingZones WHERE SZ_ID = " & SZ_ID
	Call ExecuteRS(strQuery, objRecordSet)
	If not (objRecordSet.BOF and objRecordSet.EOF) then
		SZ_ID = objRecordSet("SZ_ID")
		SZ_OrderByValue = objRecordSet("SZ_OrderByValue")
		
		'Loop through all languages and get the names and descriptions
		For numCount = 1 to numTotalLanguages	
			If aryLangLiveBack(numCount) = "y" then
				SZ_Name(numCount) = objRecordSet("SZ_Name" & CStr(numCount))
				If SZ_Name(numCount) <> "" then
					strFirstNonEmptyName = SZ_Name(numCount)
				end if
			end if
		Next
		If SZ_Name(numDefaultLanguage) <> "" then strFirstNonEmptyName = SZ_Name(numDefaultLanguage)
	end if
	objRecordSet.Close
End If
SZ_ID = NumSafe(SZ_ID)
SZ_OrderByValue = NumSafe(SZ_OrderByValue)

'Set page title
If strFirstNonEmptyName <> "" then
	strPageTitle = strFirstNonEmptyName
Else
	strPageTitle = GetString("PageTitle_AddNewShippingZone")
End If
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
		</tr>
	</table>
	<table border="0" cellpadding="0" cellspacing="0" width="660">
		<tr>
			<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
			<td valign="top">
				<form method="POST" name="verform" action="_update_shippingzone.asp">
					<%= objCactuSession.Form %>
					<input type="hidden" name="SZ_ID" value="<% =SZ_ID %>" />
					<table border="0" cellpadding="5" cellspacing="0" width="100%">
						<tr>
							<td><h1><%= strPageTitle %></h1></td>
						</tr>	
					</table>
					
					<table border="0" cellpadding="5" cellspacing="0" width="100%">
						<% For numCount = 1 to numTotalLanguages
							If aryLangLiveBack(numCount) = "y" then %>
								<tr>
									<td><%= IIf(numTotalLanguages > 1, aryLangBackNames(numCount) & " ", "") & GetString("FormLabel_ShippingZoneName") %></td>
									<td><input type="text" name="SZ_Name<% =numCount %>" value="<%= WriteSafe(SZ_Name(numCount)) %>" size="28" /></td>
								</tr>
							<% end if
						next %>
						
						<tr>
							<td valign="top"><% WriteString("FormLabel_OrderByValue") %></td>
							<td><input type="text" name="SZ_OrderByValue" value="<% =SZ_OrderByValue %>" size="5" /></td>
						</tr>

						<tr>
							<td>&nbsp;</td>
							<td align="right"><input type="submit" name="btnSubmit" id="submit" value="<%= IIf(SZ_ID = 0, GetSafeString("FormButton_Add"), GetSafeString("FormButton_Update")) %>" /></td>
						</tr>
					</table>
				</form>

				<%
				'-----------------------------------------------
				'delete form
				'-----------------------------------------------
				If Not SZ_ID = 0 Then %>
					<hr />
					<form method="POST" action="_update_shippingzone.asp">
						<%= objCactuSession.Form %>
						<input type="hidden" name="strCallMode" value="d" />
						<input type="hidden" name="SZ_ID" value="<% =SZ_ID %>" />
						<table border="0" cellpadding="5" cellspacing="0" width="100%">
							<tr bgcolor="#EEEEEE">
								<td align="right" width="70"><input type="submit" name="btnDelete" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
								<td class="bold"><% WriteString("ContentText_DeleteThisShippingZone") %></td>
							</tr>
							<tr bgcolor="#EEEEEE">
								<td>&nbsp;</td>
								<td>
									<% 
									WriteString("ContentText_AssignedToZone") 
									strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "ShippingZones WHERE SZ_ID <> " & SZ_ID & " ORDER BY SZ_OrderByValue ASC, SZ_ID ASC"
									Call ExecuteRS(strQuery, objRecordSet)
									Call SingleDropDownLang("numNewZone", "", "", objRecordSet, "SZ_ID", "SZ_Name", 0)
									objRecordSet.Close %>
								</td>
							</tr>
						</table>
					</form>
				<% End If %>
			</td>
		</tr>
	</table>
</body>
</html>
<% 
Call EndPage()
%>
