<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "311, 333, 350, 351, 352, 354, 355, 357, 358, 359, 380, 400, 408, 414, 505, 637, 638, 639, 640, 664, 986, 987, 989, 1088, 1089, 1090, 1091, 1092, 1093, 1094, 1095, 1096, 1097, 1098, 1099, 1100, 1101, 1102, 1103, 1104, 1105, 1106, 1107, 1108, 1123, 1215, 1216, 1217, 1218, 1219, 1220, 1221, 1444, 1445, 1446, 1913, 1914, 1915, 1916, 1917, 1918"
blnDateStrings = true
strThisBackPage = "orders" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'ORDERS LIST									
'Shows recent orders, lets the site owner view	
'text of any order, search for orders and mark	
'those orders that have been actioned. Customers
'can view the status of their order from the web
'shop front end.
'-----------------------------------------------
'All the following values can effect the search
'based on what page is calling it
datValue1 = DualRequest("datValue1")
strCallMode = DualRequest("strCallMode")
C_EmailAddress = SQLSafe(DualRequest("C_EmailAddress"))
CP_CouponCode = SQLSafe(DualRequest("CP_CouponCode"))
AFP_ID = DualRequest("AFP_ID")
strGateway = DualRequest("strGateway")
strGatewayID = DualRequest("strGatewayID")

If strCallMode = "Delete" then strCallMode = ""

'must create link to secure page if using secure area
'because there could be card data displayed
If GetAppVar("usesecurearea") = "y" then strSecURL = replace(Lcase(GetAppVar("webshopURL")), "http://", "https://") else strSecURL = ""

blnBatchProcessing = (DualRequest("strBatch") = "y")

strOrderIDs = request.Form("strOrderIDs")
If strOrderIDs <> "" then
	'Doing a batch process
	blnSendEmails = request.Form("strSendEmails") = "y"
	
	aryOrderIDs = Split(strOrderIDs, ", ")
	For Each strOrderID in aryOrderIDs
		numOrderID = NumSafe(strOrderID)
		If numOrderID > 0 then
			'Get out all values
			strOriginalValues = request.Form(numOrderID & "strOriginalValues")	'O_Invoiced & "|" & O_Paid & "|" & O_Shipped
			O_Invoiced = IIf(request.Form(numOrderID & "O_Invoiced") = "y", "y", "n")
			O_Paid = IIf(request.Form(numOrderID & "O_Paid") = "y", "y", "n")
			O_Shipped = IIf(request.Form(numOrderID & "O_Shipped") = "y", "y", "n") 
			
			'Set new values - only update if different to old values
			strNewValues = O_Invoiced & "|" & O_Paid & "|" & O_Shipped
			If strNewValues <> strOriginalValues then			
				strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Orders SET O_Invoiced='" & O_Invoiced & "', O_Paid='" & O_Paid & "', O_Shipped='" & O_Shipped & "' WHERE O_ID=" & numOrderID
				Call ExecuteNonQuery(strQuery)
				
				'Build up list of IDs we've updated
				strUpdatedOrders = IIf(strUpdatedOrders = "", numOrderID, strUpdatedOrders & "," & numOrderID)
				
			End If
		End If
	Next
	
	'Now pull out all customers who have an updated order. We do it with a select distinct so 
	'customers will get one email, at most
	If strUpdatedOrders <> "" and blnSendEmails then
		strQuery = "SELECT DISTINCT C_CardholderName, C_EmailAddress, C_LanguageID FROM tblCactuShop" & TABLE_PREFIX & "Customers AS c INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders AS o ON c.C_ID = o.O_CustomerID WHERE o.O_SendOrderUpdateEmail = 'y' AND o.O_ID IN (" & strUpdatedOrders & ")"
		Call ExecuteRS(strQuery, objRecordSet)
		Do While Not objRecordSet.EOF
			'-----------------------------------------------
			'GET LANGUAGE STRINGS FOR MAIL
			'Can't access language strings in the normal
			'way as we need to choose the ones that apply
			'to the recipient's language, not the language
			'we're currently viewing in.
			'-----------------------------------------------
			C_LanguageID = objRecordSet("C_LanguageID")
			C_EmailAddress = objRecordSet("C_EmailAddress")
			strQuery2 = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "LanguageStrings" & C_LanguageID & " WHERE LS_ID IN (1068, 1069) ORDER BY LS_ID"
			Call ExecuteRS(strQuery2, objRecordSet2)
			Do While Not objRecordSet2.EOF
				LS_Value = objRecordSet2("LS_Value")
				Select Case objRecordSet2("LS_ID")
					Case 1069
						If GetAppVar("ordertracking") = "y" then
							strBodyText = LS_Value & vbcrlf & vbcrlf & GetAppVar("webshopurl") & "customer_vieworder.asp?O_ID=" & O_ID
						Else
							strBodyText =  LS_Value & vbcrlf
						End if

					Case 1068
						strSubjectLine = LS_Value & " " & GetString("Config_Webshopname")
				End Select
				objRecordSet2.MoveNext
			Loop
			objRecordSet2.Close
		
			'Send the email
			Call SendEMail(GetAppVar("emailmethod"), GetAppVar("mailserver"), C_EmailAddress, "", "", strEmailFrom, strEmailFrom,strEmailFrom, strEmailFrom, strSubjectLine, strBodyText, "", false)			
			objRecordSet.MoveNext
		Loop
		objRecordSet.Close
	End If
	
	'Now to redirect back to ourselves, to stop re-sending of emails on refresh
	Call EndPage()
	response.Redirect("_orders_list.asp?" & strSessionQS & "strCallmode=" & strCallmode & "&datValue1=" & URLSafe(datValue1) & "&strGateway=" & URLSafe(strGateway) & "&strBatch=y&strBatchUpdated=y")
End If


O_ID = 0
If not datValue1 = "" then
	'If we're searching by date, then reset the callmode
	'so we view by day.
	strCallMode = ""
	if NOT IsDate(datValue1) then
		O_ID = NumSafe(datValue1) 
		If O_ID = 0 then
			datValue1 = NowOffset
		else
			datValue1 = ""
		end if
	else
		datValue1 = cdate(formatdatetime(datValue1))
		if datValue1 > NowOffset then datValue1 = CDate(formatdatetime(now))
	end if
End if
	
if strCallMode = "gateway" then
	If strGateway = "" then
		If strGatewayID = "" then
			'If nothing selected yet, don't get any records
			strSearchClause = "1=0"
		Else
			strSearchClause = "O_ReferenceCode LIKE " & strUnicode & "'%" & SQLSafe(strGatewayID) & "%'"
		End If
	Else
		If strGatewayID = "" then
			strSearchClause = "O_PaymentGateway = " & strUnicode & "'" & SQLSafe(strGateway) & "'"
		Else
			strSearchClause = "O_PaymentGateway = " & strUnicode & "'" & SQLSafe(strGateway) & "' AND O_ReferenceCode LIKE " & strUnicode & "'%" & SQLSafe(strGatewayID) & "%'"
		End If
	End If				
	numLimitClause = 50
	blnLimitDate = false		
	strPageSubTitle = GetString("PageTitle_OrdersByPaymentGateway")
	strPageText = GetString("ContentText_OrdersByPaymentGatewayText")
	
Else
	If C_EmailAddress = "" Then
		If CP_CouponCode = "" then
		
			Select Case strCallMode
				case "affpayment"
					If not isnumeric(AFP_ID) or AFP_ID = "" then 
						Call EndPage()
						response.Redirect("_default.asp?" & strSessionQS)
					end if
					strSearchClause = "O_AffiliatePaymentID = " & AFP_ID
					numLimitClause = 0
					blnLimitDate = false
					strPageSubTitle = GetString("PageTitle_OrdersAffiliatePayments")
					strPageText = GetString("ContentText_OrdersAffiliatePaymentsText")
				Case "recent"
					strSearchClause = "O_Sent = 'y'"
					numLimitClause = 25
					blnLimitDate = false
					strPageSubTitle = GetString("PageTitle_OrdersRecent")
					strPageText = GetString("ContentText_OrdersRecentText")
				Case "invoice"
					strSearchClause = "O_Sent = 'y' AND O_Invoiced='n' AND O_Paid='n'"
					numLimitClause = 50
					blnLimitDate = false
					strPageSubTitle = GetString("PageTitle_OrdersAwaitingInvoice")
					strPageText = GetString("ContentText_OrdersAwaitingInvoiceText")
				Case "dispatch"
					strSearchClause = "O_Sent = 'y' AND O_Shipped='n' AND O_Paid='y'"
					numLimitClause = 50
					blnLimitDate = false
					strPageSubTitle = GetString("PageTitle_OrdersAwaitingDispatch")
					strPageText = GetString("ContentText_OrdersAwaitingDispatchText")
				Case "complete"
					strSearchClause = "O_Shipped='y' AND O_Paid='y'"
					numLimitClause = 50
					blnLimitDate = false
					strPageSubTitle = GetString("PageTitle_OrdersComplete")
					strPageText = GetString("ContentText_OrdersCompleteText")						
				Case "payment"
					strSearchClause = "O_Sent = 'y' AND O_Invoiced='y' AND O_Paid='n'"
					numLimitClause = 50
					blnLimitDate = false
					strPageSubTitle = GetString("PageTitle_OrdersAwaitingPayment")
					strPageText = GetString("ContentText_OrdersAwaitingPaymentText")
				
				Case "unfinished"
					strSearchClause = "O_Sent='n'"
					numLimitClause = 50	
					blnLimitDate = false
					strPageSubTitle = GetString("PageTitle_OrdersUnfinished")
					strPageText = GetString("ContentText_OrdersUnfinishedText")
					
				Case Else
					If datValue1 = "" then datValue1 = cdate(formatdatetime(NowOffset(), 2))
					strSentClause = "O_Sent = '" & IIf(DualRequest("strCallMode") = "unfinished", "n", "y") & "'"
					If O_ID > 0 then
						strSearchClause = strSentClause & " AND O_ID = " & O_ID
						strPageSubTitle = ""
						strPageText = ""
						blnLimitDate = false
					Else
						strSearchClause = strSentClause & " AND O_Date>" & strDateDelimiter & ReverseDate(datValue1) & strDateDelimiter & " AND O_Date<" & strDateDelimiter & ReverseDate(datValue1 + 1) & strDateDelimiter
						
						If blnBatchProcessing then
							strPageSubTitle = GetString("PageTitle_BatchProcess")
							strPageText = GetString("ContentText_BatchProcessText")
						Else
							strPageSubTitle = GetString("PageTitle_OrdersByDay")
							strPageText = GetString("ContentText_OrdersByDayText")
						End If
						
						blnLimitDate = true
					End If
					numLimitClause = 0		
			End Select
			
		else
		
			strSearchClause = "O_CouponCode=" & strUnicode & "'" & CP_CouponCode & "'"
			numLimitClause = 0
			strPageSubTitle = GetString("PageTitle_OrdersCoupons")
			strPageText = GetString("ContentText_OrdersCouponsText")
			
		end if
	Else
		numLimitClause = 0
		strSearchClause = "C_EmailAddress=" & strUnicode & "'" & C_EmailAddress & "'"
		strPageSubTitle = GetString("PageTitle_OrdersCustomerEmail")
		strPageText = GetString("ContentText_OrdersCustomerEmailText")
	End If
End If

datValue2 = NowOffset()

'Build up the query parts. If this is a batch process, then join on to invoice rows
If blnBatchProcessing then
	strSelectClause = "O_ID, O_Invoiced, O_Paid, O_Date, O_Shipped,  O_TotalPrice, C_ID, C_CardholderName, cur.*, IR_VersionName, IR_Quantity, O_Sent, O_Invoiced, O_Paid, O_Shipped, O_LanguageID"
	strJoinList = "((tblCactuShop" & TABLE_PREFIX & "Customers AS c INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders AS o ON c.C_ID = o.O_CustomerID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Currencies AS cur ON o.O_CurrencyID = cur.CUR_ID) INNER JOIN tblCactuShop1InvoiceRows ir ON o.O_ID = ir.IR_OrderNumberID"
Else
	strSelectClause = "O_ID, O_Invoiced, O_Paid, O_Date, O_Shipped,  O_TotalPrice, C_ID, C_CardholderName, cur.*"
	strJoinList = "(tblCactuShop" & TABLE_PREFIX & "Customers AS c INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders AS o ON c.C_ID = o.O_CustomerID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Currencies AS cur ON o.O_CurrencyID = cur.CUR_ID"
End If

'Create query based on whether we're limiting by records	
If numLimitClause = 0 Then
	strQuery = "SELECT " & strSelectClause & " FROM " & strJoinList & " WHERE " & strSearchClause & " ORDER BY O_Date DESC"
Else
	strQuery = LimitSQL(strSelectClause & " FROM " & strJoinList & " WHERE " & strSearchClause & " ORDER BY O_Date DESC", numLimitClause, false)
End If

Call ExecuteRS(strQuery, objRecordSet)
numRecordCount = objRecordSet.recordcount
If numRecordCount = 1 and O_ID > 0 then
	objRecordSet.Close
	Call EndPage()
	Response.Redirect("_modify_orderstatus.asp?" & strSessionQS & "O_ID=" & O_ID)
End If
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
		<!--#include file="includes/functions_jscript.asp"-->
	</head>
	<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
			</tr>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="660">
			<tr>
				<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
				<td valign="top" width="470">
					<form action="_orders_list.asp" method="get">
						<%= objCactuSession.Form %>
						<input type="hidden" name="strCallMode" value="<%=strCallMode%>" />
						<table border="0" cellpadding="5" cellspacing="0" width="100%">
							<tr>
								<td><h1><% WriteString("PageTitle_Orders") %>&nbsp;<%= IIf(strPageSubTitle <> "", "- " & strPageSubTitle, "") %></h1></td>
							</tr><% 
							
							'Show additional description page text if required
							If request.QueryString("strBatchUpdated") = "y" then %>
								<tr>
									<td class="highlight bold">Orders were updated successfully.</td>
								</tr><%
							End If
							
							If strPageText <> "" then %>
								<tr>
									<td><%= strPageText %></td>
								</tr><%
							end if
						
							'If doing by gateway, show filter and search box
							If not blnBatchProcessing then
								if strCallMode = "gateway" then %>
									<tr>
										<td>Gateway:
											<select name="strGateway" size="1">
												<option value=""><% WriteString("ContentText_AllGateways") %></option>
												<% 
												strQuery = "SELECT DISTINCT O_PaymentGateway FROM tblCactuShop" & TABLE_PREFIX & "Orders" 
												Call ExecuteRS(strQuery, objRecordSet2)
												do while not objRecordSet2.EOF
													If objRecordSet2("O_PaymentGateway") = strGateway then strSelectedText = " selected=""selected""" else strSelectedText = ""
													response.Write "<option value=""" & objRecordSet2("O_PaymentGateWay") & """" & strSelectedText & ">" & objRecordSet2("O_PaymentGateWay") & "</option>"
													objRecordSet2.MoveNext
												Loop
												%>
											</select>&nbsp;&nbsp;<% WriteString("ContentText_TransID") %>: <input type="text" name="strGateWayID" size="16" value="<%=strGateWayID%>" />&nbsp;<input type="submit" name="submit" value="<% WriteString("FormButton_Search") %>" />
										</td>
									</tr><%
								else
									'Otherwise show general find box %>
									<tr>
										<td><span><% WriteString("ContentText_FindAnOrder") %></span> <input type="text" name="datValue1"> <input type="submit" name="btnSearch" id="search" value="<% WriteString("FormButton_Search") %>" /></td>
									</tr>
									<tr>
										<td class="small"><% WriteString("ContentText_EnterDate") %></td>
									</tr><%
								end if 
							end if %>
						</table>
					</form><%

					If strCallMode = "unfinished" Then 
						'Show button to purge orders if listing by unfinished %>
						<form action="_orders_purge.asp" method="post">
							<%= objCactuSession.Form %>
							<input name="PurgeOrders" type="hidden" value="True" />
							<input type="submit" value="<% WriteString("ContentText_PurgeUnfinishedOrders") %><% Response.Write(FormatDate(DateAdd("d", -GetAppVar("purgeunfinisheddays") + 1, NowOffset),strDateFormat)) %>" />
						</form><%
					End If %>
						
					<table border="0" cellpadding="5" cellspacing="0" width="100%"><%
						if blnLimitDate then 
							'Show prev/next date links
							datValue2 = datValue1 - 2 %>
							<tr>
								<td class="small">
									<a href="_orders_list.asp?<%= objCactuSession.QS %>strBatch=<%= IIf(blnBatchProcessing, "y", "n") %>&amp;datValue1=<% =server.URLEncode(ReverseDate(datValue2 + 1)) %>">&#171;&nbsp;<%= FormatDate(datValue2 + 1, strDateFormat) %></a> | <%= FormatDate(datValue2 + 2, strDateFormat) %><%
									datValue2 = datValue2 + 2
									If datValue2 < NowOffset() - 1 then %> | <a href="_orders_list.asp?<%= objCactuSession.QS %>strBatch=<%= IIf(blnBatchProcessing, "y", "n") %>&amp;datValue1=<%= ReverseDate(datValue2 + 1)%>"><%= FormatDate(datValue2 + 1, strDateFormat) %>&nbsp;&#187;</a><% end if %>
								</td>
							</tr><% 
						end if
						If C_EmailAddress="" AND CP_CouponCode="" AND strCallMode="" and O_ID = 0 then %>
							<tr>
								<td class="bold"><%
									'Write out the date, along with the day of the week
									response.Write GetWeekday(datValue1, false) & ", " & FormatDate(datValue1, strDateFormat)  %>
								</td>
							</tr>
							<% datValue2 = datValue2-3
						end if %>
				
						<tr>
							<td><form action="_orders_list.asp" method="post">
								<%= objCactuSession.Form %>
								<input type="hidden" name="strCallMode" value="<%=strCallMode%>" />
								<input type="hidden" name="datValue1" value="<%=datValue1%>" />
								<input type="hidden" name="strGateway" value="<%=strGateway%>" />
								<input type="hidden" name="strBatch" value="<%= IIf(blnBatchProcessing, "y", "n") %>" />
								<table border="0" cellpadding="3" cellspacing="0" width="100%">
									<tr>
										<td class="small bold dull" width="5%"><% WriteString("ContentText_ID") %></td>
										<td class="small bold dull" width="18%"><% WriteString("ContentText_DateTime") %></td>
										<td class="small bold dull" width="20%" align="right"><% WriteString("ContentText_Value") %>&nbsp;&nbsp;&nbsp;&nbsp;</td>
										<td class="small bold dull" width="45%"><% WriteString("ContentText_CustomerName") %></td>
										<td class="small bold dull" width="12%">&nbsp;</td>
									</tr><%
									if numRecordCount <> 0 then
										do while not objRecordSet.EOF
											'Set background colour based on order status
											numBgCount = numBgCount + 1
											If Not blnBatchProcessing then
												If numBgCount mod 2 = 0 then
													strBgColourNorm="#EEEEEE"
													strBgColourRed="#FFAAAA"
													strBgColourGreen="#99CC99"
													strBgColourDone = "#BBBBBB"
												else
													strBgColourNorm="#DDDDDD"
													strBgColourRed="#FFBBBB"
													strBgColourGreen="#99DD99"
													strBgColourDone = "#AAAAAA"
												end if
												strThisBgColour = strBgColourNorm
												
												If objRecordSet("O_Invoiced") = "y" AND objRecordSet("O_Paid")="n" AND (objRecordSet("O_Date") + Clng(GetAppVar("invoiceduedays"))) < NowOffset() then strThisBgColour = strBgColourRed
												If objRecordSet("O_Paid") = "y" then strThisBgColour = strBgColourGreen
												If objRecordSet("O_Paid") = "y" and objRecordSet("O_Shipped") = "y" then strThisBgColour = strBgColourDone 
											Else
												strThisBgColour = "#DDDDDD"
											End If
											
											'Display order row %>
											<tr bgcolor="<% =strThisBgColour %>">
												<td class="small"><%= objRecordSet("O_ID") %></td>
												<td class="small"><%= FormatDate(objRecordSet("O_Date"), strDateFormat) %></td>
												<td class="small" align="right"><% =objRecordSet("CUR_Symbol") & " " & objDefaultCurrency.DisplayWithoutSymbol(objRecordSet("O_TotalPrice"), false) %>&nbsp;&nbsp;&nbsp;&nbsp;</td>
												<td class="small"><%= WriteSafe(objRecordSet("C_CardholderName")) %></td>
												<td class="small" align="right"><a href="<% =strSecURL %>_modify_customerstatus.asp?<%= objCactuSession.QS %>C_ID=<%= objRecordSet("C_ID") %>"><img alt="<% WriteSafeString("ImageLabel_ViewThisCustomer") %>" title="<% WriteSafeString("ImageLabel_ViewThisCustomer") %>" src="images/b_customer.gif" border="0" /></a>&nbsp;<a href="<% =strSecURL %>_modify_orderstatus.asp?<%= objCactuSession.QS %>O_ID=<% =objRecordSet("O_ID") %>&amp;datValue1=<%=server.URLEncode(ReverseDate(datValue1))%>&amp;strCallMode=<%=strCallMode%>&amp;C_EmailAddress=<%=C_EmailAddress%>&amp;CP_CouponCode=<%=CP_CouponCode%>&amp;AFP_ID=<%=AFP_ID%>"><img border="0" src="images/b_order.gif" alt="<% WriteSafeString("ImageLabel_ViewThisOrder") %>" title="<% WriteSafeString("ImageLabel_ViewThisOrder") %>" /></a></td>
											</tr><%
											
											
											'Batch processing? Add in a now for invoice data. Keep moving forward until the O_ID changes
											If blnBatchProcessing then
												O_ID = objRecordSet("O_ID") 
												O_LanguageID = objRecordSet("O_LanguageID")
												O_Sent = objRecordSet("O_Sent") 
												O_Invoiced = IIf(objRecordSet("O_Invoiced") = "y", "y", "n")
												O_Paid = IIf(objRecordSet("O_Paid") = "y", "y", "n")
												O_Shipped = IIf(objRecordSet("O_Shipped") = "y", "y", "n") %>
												<tr bgcolor="#EEEEEE"><input type="hidden" name="strOrderIDs" value="<%= O_ID %>" />
													<td colspan="6">
														<table cellpadding="5" cellpadding="0" width="100%">
															<tr>
																<td width="300" class="small" valign="top"><%
																	Do 
																		IR_VersionName = objRecordSet("IR_VersionName")
																		IR_Quantity = objRecordSet("IR_Quantity")
																		response.Write IR_Quantity & " x " & IR_VersionName & "<br />"
																		objRecordSet.MoveNext
																		If objRecordSet.EOF then 
																			Exit Do
																		Else
																			If objRecordSet("O_ID") <> O_ID then Exit Do
																		End If
																	Loop %><br />
																	<a href="javascript:PopUp('_order_email.asp?<%= objCactuSession.QS %>O_ID=<% =O_ID %>','_blank','scrollbars=yes,width=580,height=380')"><% WriteString("ContentText_OrderText") %></a> | <a href="javascript:PopUp('_invoice.asp?<%= objCactuSession.QS %>O_ID=<% =O_ID %>&amp;LANG_ID=<%= O_LanguageID %>','_blank','scrollbars=yes,width=760,height=600')"><% WriteString("ContentText_IssueInvoice") %></a>
																</td>
																<td bgcolor="#EEEEEE" class="small" align="right" valign="top">
																	<input type="hidden" name="<%= O_ID %>strOriginalValues" value="<%= O_Invoiced & "|" & O_Paid & "|" & O_Shipped %>" />
																	<% WriteString("ContentText_OrderStatusInvoicedSmall") %> <input type="checkbox" value="y" name="<%= O_ID %>O_Invoiced"<%= IIf(O_Invoiced = "y", " checked=""checked""", "") %> /><br />
																	<% WriteString("ContentText_OrderStatusPaidSmall") %> <input type="checkbox" value="y" name="<%= O_ID %>O_Paid"<%= IIf(O_Paid = "y", " checked=""checked""", "") %> /><br />
																	<% WriteString("ContentText_OrderStatusShippedSmall") %> <input type="checkbox" value="y" name="<%= O_ID %>O_Shipped"<%= IIf(O_Shipped = "y", " checked=""checked""", "") %> /><br />
																</td>
															</tr>
														</table>
													</td>

												</tr>
												<tr><td colspan="6" class="small"><hr /></td></tr>
												<%
												
											Else
												objRecordSet.MoveNext
											End If
										loop 
										
										If blnBatchProcessing then 
											'Do checkbox and submit button %>
											<tr>
												<td colspan="6" align="right"><% WriteString("ContentText_InformCustomers") %> <input type="checkbox" name="strSendEmails" value="y" /></td></tr>
											<tr>
												<td colspan="6" align="right"><input type="submit" name="submit" value="<% WriteSafeString("FormButton_Update") %>" /></td>
											</tr><%
										Else
											'Show colour explanation %>
											<tr>
												<td class="small" colspan="5"><% WriteString("ContentText_OrdersListIndicates") %><% WriteString("ContentText_OrdersListIndicatesComplete") %></td>
											</tr><%
										End If
									else 
										'Show no records message
										if strCallMode = "gateway" then %>
											<tr>
												<td colspan="5"><br /><% WriteString("ContentText_SelectGateWay") %></td>
											</tr><%
										else %>
											<tr>
												<td colspan="5"><br /><% WriteString("ContentText_NoOrdersMadeOnThisDay") %><br /><br /></td>
											</tr><%
										end if
									end if
									objRecordSet.Close %>
								</table>
							</form></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html>
<%
Call EndPage()
%>
