<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "359, 401, 402, 474, 1460, 1463, 1464, 1465, 1466, 1467, 1469, 1470, 1472, 1473, 1853"
strThisBackPage = "config" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'CHECK ALPHANUMERICS
'Checks a string only contains a-z, A-Z and 0-9
'langstrings: 1472
'-----------------------------------------------
Function ErrorCheckAlphaNumeric(strErrorMsg, numErrorNo, strItemName, strFieldName)
	Set objRegEx = New RegExp
	objRegEx.Pattern = "[^0-9a-z]"
	objRegEx.IgnoreCase = true
	If objRegEx.Test(strFieldName) then
		numErrorNo = numErrorNo + 1
		strErrorMsg = strErrorMsg & "<span class=""bold"">" & CStr(numErrorNo) & ".</span> " & "<span class=""bold"">" & strItemName & "</span> " & GetString("ContentText_IsNotAlphaNumeric") & "<br />"
	End if
	ErrorCheckAlphaNumeric = strErrorMsg
	Set objRegEx = Nothing
End Function

'-----------------------------------------------
'COLLECT VALUES FROM FORM						
'-----------------------------------------------
PAGE_ID = request.form("PAGE_ID")
strOldPageID = request.Form("strOldPageID")

Dim PAGE_Title(), PAGE_Text(), PAGE_MetaDescription(), PAGE_MetaKeywords()
Redim PAGE_Title(numTotalLanguages)
Redim PAGE_Text(numTotalLanguages)
Redim PAGE_MetaDescription(numTotalLanguages)
Redim PAGE_MetaKeywords(numTotalLanguages)

PAGE_Live = ListSafe(request.Form("PAGE_Live"), "y,n", "n")

For numCount = 1 to numTotalLanguages	
	If aryLangLiveBack(numCount) = "y" then
		PAGE_Title(numCount) = request.Form("PAGE_Title" & CStr(numCount))
		PAGE_Text(numCount) = request.Form("PAGE_Text" & CStr(numCount))
		PAGE_MetaDescription(numCount) = request.Form("PAGE_MetaDescription" & CStr(numCount))
		PAGE_MetaKeywords(numCount) = request.Form("PAGE_MetaKeywords" & CStr(numCount))
	end if
Next

'-----------------------------------------------
'ERROR CHECKING									
'-----------------------------------------------
'Page ID checking
strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_PageID"), PAGE_ID)
strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_PageID"), PAGE_ID, GetAppVar("PAGE_ID_AL"))
If strErrorMsg = "" then
	'Check page ID is alphanumeric
	strErrorMsg = ErrorCheckAlphaNumeric(strErrorMsg, numErrorNo, GetString("FormLabel_PageID"), PAGE_ID)
end if

If strErrorMsg = "" then
	If PAGE_ID <> strOldPageID then
		'Check it doesn't already exist
		strQuery = "SELECT COUNT(*) FROM tblCactuShop" & TABLE_PREFIX & "Pages WHERE PAGE_ID = '" & PAGE_ID & "'"
		If Cint(ExecuteScalar(strQuery)) > 0 then
			numErrorNo = numErrorNo + 1
			strErrorMsg = strErrorMsg & "<b>" & CStr(numErrorNo) & ".</b> " & GetString("ContentText_PageIDAlreadyExists") & "<br />"
		end if
	end if	
end if

blnAllTitlesBlank = true
blnAllTextBlank = true
For numCount = 1 to numTotalLanguages	
	If aryLangLiveBack(numCount) = "y" then	
		blnAllTitlesBlank = blnAllTitlesBlank and PAGE_Title(numCount) = ""
		blnAllTextBlank = blnAllTextBlank and PAGE_Text(numCount) = ""
		strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_PageTitle"), PAGE_Title(numCount), GetAppVar("PAGE_Title_AL"))
		strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_PageMetaDescription"), PAGE_MetaDescription(numCount), GetAppVar("PAGE_MetaDescription_AL"))
		strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_PageMetaKeywords"), PAGE_MetaKeywords(numCount), GetAppVar("PAGE_MetaKeywords_AL"))
	end if
Next
	
If blnAllTitlesBlank then
	strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_PageTitle"), "")
End If

If blnAllTextBlank then
	strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_PageText"), "")
End If


'-----------------------------------------------
'UPDATE DATABASE RECORDS
'-----------------------------------------------
If strErrorMsg = "" then
	If strOldPageID = "" then
		'Insert new page
		strQuery="INSERT INTO tblCactuShop" & TABLE_PREFIX & "Pages ("
			For numCount = 1 to numTotalLanguages
				If aryLangLiveBack(numCount) = "y" then strQuery = strQuery & "PAGE_Title" & CStr(numCount) & ", PAGE_Text" & CStr(numCount) & ", PAGE_MetaDescription" & CStr(numCount) & ", PAGE_MetaKeywords" & CStr(numCount) & ","
			next
			strQuery=strQuery & "PAGE_ID, PAGE_Live) VALUES("
			For numCount = 1 to numTotalLanguages
				If arylangliveback(numCount) = "y" then 
					strQuery = strQuery & strUnicode & "'" & SQLSafe(PAGE_Title(numCount)) & "', " & strUnicode & "'" & SQLSafe(PAGE_Text(numCount)) & "', " & strUnicode & "'" & SQLSafe(PAGE_MetaDescription(numCount)) & "', " & strUnicode & "'" & SQLSafe(PAGE_MetaKeywords(numCount)) & "',"
				end If
			next
			strQuery = strQuery & "'" & SQLSafe(PAGE_ID) & "', '" & PAGE_Live & "')"
				
		Call ExecuteNonQuery(strQuery)
				
	else
		'Update page
		strQuery="UPDATE tblCactuShop" & TABLE_PREFIX & "Pages SET PAGE_ID='" & SQLSafe(PAGE_ID) & "'"
		for numCount = 1 to numTotalLanguages
			If arylangliveback(numCount) = "y" then
				strQuery = strQuery & ", PAGE_Title" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(PAGE_Title(numCount)) & "', PAGE_Text" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(PAGE_Text(numCount)) & "', PAGE_MetaDescription" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(PAGE_MetaDescription(numCount)) & "', PAGE_MetaKeywords" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(PAGE_MetaKeywords(numCount)) & "'"
			End If
		next
		strQuery = strQuery & ",PAGE_Live='" & PAGE_Live & "' WHERE PAGE_ID='" & SQLSafe(strOldPageID) & "'"
		Call ExecuteNonQuery(strQuery)
		
	end if
	
end if %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top"><table border="0" cellpadding="5" cellspacing="0" width="100%">
	<% If Not (strErrorMsg = "") then %>
		<tr>
			<td><h1><% WriteString("PageTitle_Problems") %></h1></td>
		</tr>
		<tr>
			<td><% WriteString("ContentText_PleaseGoBackAndCorrect") %></td>
		</tr>
		<tr>
			<td><% =strErrorMsg %></td>
		</tr>	
		<tr>
			<td class="small"><a href="javascript:history.back()">&#171; <% WriteString("ContentText_BackLink") %></a></td>
		</tr>			
	<% else %>
		<tr>
			<td><h1><% WriteString("PageTitle_EditPage") %></h1></td>
		</tr>
		<tr>
			<td><% WriteString("ContentText_PageCreated1") %><a href="page.asp?<%= objCactuSession.QS %>id=<%= WriteSafe(PAGE_ID) %>" target="_new"><%= WriteSafe(PAGE_Title(numLanguageID)) %></a><% WriteString("ContentText_PageCreated2") %></td>
		</tr>
		<tr>
			<td><textarea style="width: 100%" cols="52" rows="3" name="PAGE_Text(1)"><a href="page.asp?id=<%= WriteSafe(PAGE_ID) %>"><%= WriteSafe(PAGE_Title(numLanguageID)) %></a></textarea></td>
		</tr>
		<% if GetAppVar("usecookies") = "no" then %>
			<tr>
				<td class="small"><% WriteString("ContentText_PageCreated3") %></td>
			</tr><%
		End If %>
		<tr>
			<td><a href="_page_list.asp?<%= objCactuSession.QS %>">&#171; <% WriteString("ContentText_BackLink") %></a></td>
		</tr>			
	<% end if %>
	</table></td>
</tr>
</table>
</div>
</html>
<%
Call EndPage()
%>
