<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "33, 68, 69, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 108, 119, 164, 264, 263, 740, 781, 782, 783, 845, 846, 847, 978, 1141, 1411, 1412, 1413, 1512, 1513, 1514, 1515, 1631, 1632, 1719, 1720, 1721, 1755, 1763, 1764, 1765, 1766, 1767, 1768, 1769, 1812, 1813, 1814, 1815, 1820, 1848, 1849, 1850, 1851, 1852, 1935" 
blnDateStrings = true %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<% blnMustBeLoggedIn = true %>
<!--#include file="includes/customer_security.asp"-->
<!--#include file="includes/buildpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'CUSTOMER HOME
'This page does lots of things:
'- Order History (with link through for more 
'  details on each order)
'- Downloadable Products
'- Stored Baskets
'- Change Password Link
'-----------------------------------------------

'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE					
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)

'-----------------------------------------------
'WRITE FIRST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(0))

'Get a specific show
strShow = ListSafe(request.QueryString("strShow"), "all,orders,baskets,wishlists", "all")

'Get useful application variables
numAppMaxOrders = NumSafe(GetAppVar("maxorders"))
numAppMaxBaskets = NumSafe(GetAppVar("maxbaskets"))
strAppUploadsFolder = GetAppVar("uploadsfolder")

'If we're showing a full list, or config settings set to 0, then don't limit (-2)
If numAppMaxOrders = 0 or strShow = "orders" then numAppMaxOrders = -2
If numAppMaxBaskets = 0 or strShow = "baskets" then numAppMaxBaskets = -2
If numAppMaxBaskets = 0 or strShow = "wishlists" then numAppMaxBaskets = -2

Set objOrderCurrency = New CurrencyData

%>
<h1><% WriteString("PageTitle_MyAccount") %></h1>
<div class="customer">
	<%
	'-----------------------------------------------
	'ORDER HISTORY
	'-----------------------------------------------
	If strShow = "all" or strShow="orders" then %>
		<div class="section orderhistory">
		<h2><% WriteString("SubHeading_OrderHistory") %></h2>
			<% 
			strQuery = LimitSQL("O_ID, O_Date, O_LastModified, O_TotalPrice, tblCactuShop" & TABLE_PREFIX & "Currencies.* FROM tblCactuShop" & TABLE_PREFIX & "Orders INNER JOIN tblCactuShop" & TABLE_PREFIX & "Currencies ON tblCactuShop" & TABLE_PREFIX & "Orders.O_CurrencyID = tblCactuShop" & TABLE_PREFIX & "Currencies.CUR_ID WHERE O_CustomerID = " & DB_C_ID & " AND O_Sent = 'y' ORDER BY O_Date DESC", numAppMaxOrders + 1, false)
			Call ExecuteRS(strQuery, objRecordSet)
			numTotalOrders = objRecordSet.RecordCount
			If objRecordSet.BOF and objRecordSet.EOF Then %>
				<p><% WriteString("ContentText_OrderNotFound") %></p>

			<% Else 
				objOrderCurrency.Load(objRecordSet) %>
				<p><% 
					If numTotalOrders > numAppMaxOrders and numAppMaxOrders <> -2 then
						WriteString("ContentText_OrdersBelowRecent")
					else 
						WriteString("ContentText_OrdersBelow")
					end if 
				%></p>
				
				<div class="orderstable"><table summary="<% WriteSafeString("ContentText_OrdersTableSummary") %>">
					<thead>
						<tr class="header">
							<th class="number"><% WriteString("ContentText_SmallNumber") %></th>
							<th class="orderdate"><% WriteString("ContentText_OrderDate") %></th>
							<th class="lastupdate"><% WriteString("ContentText_LastUpdate") %></th>
							<th class="amount"><% WriteString("ContentText_Amount") %></th>
							<th class="view"></th>
						</tr>
					</thead>
					<tbody><%
						Do Until objRecordSet.EOF or numCurrentOrder = numAppMaxOrders
							'Set background colour
							numCurrentOrder = numCurrentOrder + 1
							If numCurrentOrder mod 2 = 0 then strBgClass = "main_line_1" Else strBgClass = "main_line_2"
							
							'Get record details
							O_ID = objRecordSet("O_ID")
							O_Date = objRecordSet("O_Date")
							O_LastModified = objRecordSet("O_LastModified")
							O_TotalPrice = objRecordSet("O_TotalPrice")
							
							Set objOrderCurrency = New CurrencyData
							objOrderCurrency.Load(objRecordSet)
							
							%>
							<tr<%= IIf(numCurrentOrder mod 2 = 0, " class=""alt""", "") %>>
								<td class="number"><%= O_ID %></td>
								<td class="orderdate"><%= WriteSafe(FormatDate(O_Date, strDateAndTimeFormat)) %></td>
								<td class="lastupdate"><%= WriteSafe(FormatDate(O_LastModified, strDateAndTimeFormat)) %></td>
								<td class="amount"><%= WriteSafe(objOrderCurrency.Display(O_TotalPrice, false, false)) %></td>
								<td class="view"><a href="customer_invoice.asp?<%= objCactuSession.QS %>O_ID=<%= O_ID %>&amp;strFrom=list"><% WriteString("ContentText_Invoice") %></a>&nbsp;&nbsp;&nbsp;<a href="customer_vieworder.asp?<%= objCactuSession.QS %>O_ID=<%= O_ID %>&amp;strFrom=list"><% WriteString("ContentText_View") %></a>
								</td>
							</tr><%
							objRecordSet.MoveNext
						Loop %>
					</tbody>
				</table></div>

				<% If numAppMaxOrders = -2 then %>
					<p><a href="customer_home.asp?<%= objCactuSession.QS %>">&lt;&lt;&nbsp;<% WriteString("ContentText_GoBack") %></a></p><%
					
				ElseIf numTotalOrders > numAppMaxOrders then %>
					<p><a href="customer_home.asp?<%= objCactuSession.QS %>strShow=orders"><% WriteString("ContentText_ViewAllOrders") %></a></p><%
				
				end if 
			End If
			objRecordSet.Close
		%></div><%
	end if 
	
	
	'***********************************************
	'DOWNLOADABLE PRODUCTS
	'***********************************************
	If strShow = "all" then
		strQuery = "SELECT O_CustomerID, O_Date, IR_VersionCode, IR_VersionName, V_ID, V_DownLoadInfo, V_DownloadType FROM (tblCactuShop" & TABLE_PREFIX & "Versions INNER JOIN tblCactuShop" & TABLE_PREFIX & "InvoiceRows ON tblCactuShop" & TABLE_PREFIX & "Versions.V_CodeNumber = tblCactuShop" & TABLE_PREFIX & "InvoiceRows.IR_VersionCode) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "InvoiceRows.IR_OrderNumberID = tblCactuShop" & TABLE_PREFIX & "Orders.O_ID WHERE O_CustomerID = " & DB_C_ID & " AND O_Sent = 'y' AND"
		If Not GetAppVar("instantdownload") = "y" Then strQuery = strQuery & " O_Shipped = 'y' AND"
		If Not GetAppVar("downloadlimitdays") = 0 Then strQuery = strQuery & " O_Date >= " & strDateDelimiter & ReverseDate(DateAdd("d", -GetAppVar("downloadlimitdays"), NowOffset)) & strDateDelimiter & " AND"
		strQuery = strQuery & " V_DownLoadType <> 'n' AND V_DownloadType <> 'f' AND V_DownloadInfo <> ''"
		Call ExecuteRS(strQuery, objRecordSet)
		If Not (objRecordSet.bof and objRecordSet.EOF) Then %>

			<div class="section downloadableproducts">
			<h2><% WriteString("SubHeading_ProductsOrdered") %></h2>

				<p><% WriteString("ContentText_DownloadExplanation") %></p>
				<div class="downloadableproductstable"><table summary="<% WriteSafeString("ContentText_DownloadableProductsSummary") %>">
					<thead>
						<tr class="header">
							<th class="name"></th>
							<th class="codenumber"><% WriteString("ContentText_CodeNumberSmall") %></th>
							<th class="orderdate"><% WriteString("ContentText_OrderDate") %></th>
							<th class="download"><% WriteString("ContentText_DownLoadInfo") %></th>
						</tr>
					</thead>
					<tbody>
						<%
						numBgCount = 0
						Do Until objRecordSet.EOF
							
							'Background
							numBgCount = numBgCount + 1
							
							'Get record info
							O_Date = objRecordSet("O_Date")
							V_ID = objRecordSet("V_ID")
							IR_VersionCode = objRecordSet("IR_VersionCode")
							V_DownLoadInfo = objRecordSet("V_DownLoadInfo")
							V_DownloadType = objRecordSet("V_DownloadType")
							IR_VersionName = objRecordSet("IR_VersionName")

							'Get download URL
							If not GetAppVar("hiddendownloads") = "y" then
										
								'Link to files - just build up a link to the file for download
								If V_DownloadType = "l" Then
									strDownloadURL = "<a href=""" & V_DownLoadInfo & """>" & GetString("ContentText_Download") & "</a>"
											
								ElseIf V_DownloadType = "u" then 
									'See if the file exists
									ReDim aryDownloadExtension(0)
									Dim aryDownloadInfo
									aryDownloadInfo = split(V_DownloadInfo, "|")
									aryDownloadExtension(0) = aryDownloadInfo(0)
									Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
									strFileName = GetFileLocation(Server.MapPath(strAppUploadsFolder & "files_versions/"), V_ID & "_" & aryDownloadInfo(1), aryDownloadExtension, objFSO)
									Set objFSO = Nothing
									
									'Write out the result
									If strFileName = "" Then
										strDownloadURL = GetString("ContentText_Unavailable")
									Else
										strFileLocation = strAppUploadsFolder & "files_versions/" & strFileName
										strDownloadURL = "<a href=""" & strFileLocation & """>" & GetString("ContentText_Download") & "</a>"
									End if
								end if 
							Else
								'Stream files - links off to the download page,
								'which streams the file
								strDownloadURL = "<a href=""customer_download.asp?" & objCactuSession.QS & "V_ID=" & V_ID & """>" & GetString("ContentText_Download") & "</a>"
							end if
														
							'Show order in row %>
							<tr<%= IIf(numBgCount mod 2 = 0, " class=""alt""", "") %>>
								<td class="name"><%= WriteSafe(IR_VersionName) %></td>
								<td class="codenumber"><%= WriteSafe(IR_VersionCode) %></td>
								<td class="orderdate"><%= WriteSafe(FormatDate(O_Date, strDateFormat)) %></td>
								<td class="download"><%= strDownloadURL %></td>
							</tr><% 
							objRecordSet.MoveNext
						Loop %>
					</tbody>
				</table></div>
			
			</div><%
		End If
		objRecordSet.Close
	End If

	'***********************************************
	'SAVED BASKETS 
	'***********************************************
	If strShow = "all" or strShow = "baskets" then %>

		<div class="section savebaskets">
		<h2><% WriteString("SubHeading_StoredBaskets") %></h2>

		<% 'Pull out baskets
			strQuery = LimitSQL("BSKT_Name, BSKT_DateTime, BSKT_ID FROM tblCactuShop" & TABLE_PREFIX & "SaveBasket WHERE BSKT_CustomerID = " & DB_C_ID & " ORDER BY BSKT_DateTime DESC", numAppMaxBaskets + 1, false)
			Call ExecuteRS(strQuery, objRecordSet)
			numTotalBaskets = objRecordSet.RecordCount
			If Not (objRecordSet.BOF and objRecordSet.EOF) Then %>
				
				<p><%= IIf(numTotalBaskets > numAppMaxBaskets and numAppMaxBaskets <> -2, GetString("ContentText_StoreBasketsDescRecent"), GetString("ContentText_StoreBasketsDesc")) %></p>
				<div class="savebasketstable"><table summary="<% WriteSafeString("ContentText_SavedBasketsSummary") %>">
					<thead>
						<tr class="header">
							<th class="name"><% WriteString("ContentText_BasketName") %></th>
							<th class="date"><% WriteString("ContentText_DateSaved") %></th>
							<th class="actions"></th>
						</tr>
					</thead>
					<tbody>
						<%
						numCurrentBasket = 0
						Do Until objRecordSet.EOF or numCurrentBasket = numAppMaxBaskets
							'Set background colour
							numCurrentBasket = numCurrentBasket + 1

							'Get record details
							BSKT_Name = objRecordSet("BSKT_Name")
							BSKT_DateTime = objRecordSet("BSKT_DateTime")
							BSKT_ID = objRecordSet("BSKT_ID") %>
							<tr<%= IIf(numCurrentBasket mod 2 = 0, " class=""alt""", "") %>>
								<td class="name"><%= WriteSafe(BSKT_Name) %></td>
								<td class="date"><%= WriteSafe(FormatDate(BSKT_DateTime, strDateAndTimeFormat)) %></td>
								<td class="actions"><a href="customer_savedbaskets.asp?<%= objCactuSession.QS %>strCallMode=delete&amp;BSKT_ID=<%= BSKT_ID %>&amp;strShow=<%= strShow %>"><% WriteString("ContentText_Delete") %></a>&nbsp;&nbsp;&nbsp;<a href="customer_savedbaskets.asp?<%= objCactuSession.QS %>strCallMode=recover&amp;BSKT_ID=<%= BSKT_ID %>&amp;strShow=<%= strShow %>"><% WriteString("ContentText_Load") %></a></td>
							</tr><%
							objRecordSet.MoveNext
						Loop %>
					</tbody>
				</table></div>
					
				<% If numAppMaxBaskets = -2 then
					'do nothing					
				ElseIf numTotalBaskets > numAppMaxBaskets then %>
					<p><a href="customer_home.asp?<%= objCactuSession.QS %>strShow=baskets"><% WriteString("ContentText_ViewAllBaskets") %></a></p><%

				end if 


		
			Else %>
				<p><% WriteString("ContentText_NoSavedBaskets") %></p><%
			End If

			objRecordSet.Close

			If objBasket.TotalItems > 0 then %>
			<div>
				<div>
				<a href="customer_savedbaskets.asp?<%= objCactuSession.QS %>strCallMode=save&amp;strShow=<%= strShow %>"><img src="<% =strTemplateImagesFolder %>iSaveRecoverBasket.gif" alt="<% WriteSafeString("ContentText_SaveRecoverBasketDesc") %>" title="<% WriteSafeString("ContentText_SaveRecoverBasketDesc") %>" /><% WriteString("PageTitle_SaveRecoverBasketContents") %></a>
				<p><% WriteString("ContentText_SaveRecoverBasketDesc") %></p>
				</div>
			</div>
			<div class="spacer"></div>
			<% end if %>
			
		</div><%
	End If

	'***********************************************
	'WISH LISTS
	'***********************************************
	If (strShow = "all" or strShow = "wishlists") and GetAppVar("enablewishlist") <> "n" then %>

		<div class="section wishlists">
		<h2><% WriteString("SubHeading_WishLists") %></h2>

		<% 'Pull out wishlists
			strQuery = LimitSQL("WL_Name, WL_DateTime, WL_ID FROM tblCactuShop" & TABLE_PREFIX & "WishList WHERE WL_CustomerID = " & DB_C_ID & " ORDER BY WL_DateTime DESC", numAppMaxBaskets + 1, false)
			Call ExecuteRS(strQuery, objRecordSet)
			numTotalWishLists = objRecordSet.RecordCount
			If Not (objRecordSet.BOF and objRecordSet.EOF) Then %>
				
				<p><% WriteString("ContentText_RecoverExistingWishList") %></p>
				<div class="wishliststable"><table summary="<% WriteSafeString("ContentText_WishListForDesc") %>">
					<thead>
						<tr class="header">
							<th class="name"><% WriteString("ContentText_WishListName") %></th>
							<th class="date"><% WriteString("ContentText_DateSaved") %></th>
							<th class="actions"></th>
						</tr>
					</thead>
					<tbody>
						<%
						numCurrentWishList = 0
						Do Until objRecordSet.EOF or numCurrentWishList = numAppMaxBaskets
							'Set background colour
							numCurrentWishList = numCurrentWishList + 1

							'Get record details
							WL_Name = objRecordSet("WL_Name")
							WL_DateTime = objRecordSet("WL_DateTime")
							WL_ID = objRecordSet("WL_ID") %>
							<tr<%= IIf(numCurrentWishList mod 2 = 0, " class=""alt""", "") %>>
								<td class="name"><a href="wishlist.asp?<%= objCactuSession.QS %>strCallMode=recoverprivate&WL_ID=<%= WL_ID %>"><%= WriteSafe(WL_Name) %></a></td>
								<td class="date"><%= WriteSafe(FormatDate(WL_DateTime, strDateAndTimeFormat)) %></td>
								<td class="actions"><a href="customer_wishlists.asp?<%= objCactuSession.QS %>strCallMode=delete&amp;WL_ID=<%= WL_ID %>&amp;strShow=<%= strShow %>"><% WriteString("ContentText_Delete") %></a>&nbsp;&nbsp;&nbsp;<a href="customer_wishlists.asp?<%= objCactuSession.QS %>strCallMode=edit&amp;WL_ID=<%= WL_ID %>&amp;strShow=<%= strShow %>"><% WriteString("ContentText_Edit") %></a>&nbsp;&nbsp;&nbsp;<a href="customer_wishlists.asp?<%= objCactuSession.QS %>strCallMode=recover&amp;WL_ID=<%= WL_ID %>&amp;strShow=<%= strShow %>"><% WriteString("ContentText_Load") %></a></td>
							</tr><%
							objRecordSet.MoveNext
						Loop %>
					</tbody>
				</table></div>
					
				<% If numAppMaxBaskets = -2 then
					'do nothing					
				ElseIf numTotalWishLists > numAppMaxBaskets then %>
					<p><a href="customer_home.asp?<%= objCactuSession.QS %>strShow=wishlists"><% WriteString("ContentText_ViewAllWishLists") %></a></p><%

				end if 

			Else %>
				<p><% WriteString("ContentText_NoWishLists") %></p><%
			End If

			objRecordSet.Close

			If objBasket.TotalItems > 0 then %>
			<div>
				<div>
				<a href="customer_wishlists.asp?<%= objCactuSession.QS %>strCallMode=save&amp;strShow=<%= strShow %>"><img src="<% =strTemplateImagesFolder %>iWishList.gif" alt="<% WriteSafeString("ContentText_SaveWishList") %>" title="<% WriteSafeString("ContentText_SaveWishList") %>" /><% WriteString("ContentText_SaveWishList") %></a>
				<p><% WriteString("ContentText_SaveWishListDesc") %></p>
				</div>
			</div>
			<div class="spacer"></div>
			<% end if %>
			
		</div><%
	End If

	'***********************************************
	'AFFILIATE REFERRALS
	'***********************************************
	If strShow = "all" and GetAppVar("myaccountaffiliates") <> "off" then %>

		<div class="section affiliates">
		<h2><% WriteString("ContentText_AffiliateReferrals") %></h2>

		<% If DB_C_IsAffiliate = "y" then
			If DB_C_AffiliateCommission > 0 then %>
			
				<p><% WriteString("ContentText_AffiliateLinkText") %></p>
				<p><code><%= GetAppVar("webshopurl") & "?af=" & DB_C_ID %></code></p>
				<div class="generalspace"></div>
				<p><% WriteString("ContentText_ToViewAffiliateActivity") %>&nbsp;<a href="customer_affiliates.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_CustomerCodeClickHere") %></a>.</p>
				<p><% WriteString("ContentText_ViewAccountBalance") %>&nbsp;<a href="customer_affiliates.asp?<%= objCactuSession.QS %>strCallMode=balance"><% WriteString("ContentText_CustomerCodeClickHere") %></a>.</p>

			<% else %>
				<p><% WriteString("ContentText_AffiliateApplicationPending") %></p>
			<% end if %>

		<% else %>
			<p><% WriteString("ContentText_NotAffiliateYet") %>&nbsp;<a href="customer_affiliates.asp?<%= objCactuSession.QS %>strCallMode=apply"><% WriteString("ContentText_CustomerCodeClickHere") %></a>.</p>
		<% End if %>
		</div>

	<% end if

	'***********************************************
	'CHANGE PASSWORD LINK
	'***********************************************
	If strShow = "all" then %>

		<div class="section changecustomercode">
		<h2><% WriteString("ContentText_ChangeCustomerCode") %></h2>

			<p><% WriteString("ContentText_ToChangeCustomerCode") %>&nbsp;<a href="customer_modifycode.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_CustomerCodeClickHere") %></a>.</p>
		</div><%
		
		'***********************************************
		'CUSTOMER DISCOUNT
		'***********************************************
		If DB_C_CustomerDiscount > 0 then %>

			<div class="section customerdiscount">
			<h2><% WriteString("ContentText_CustomerDiscount") %></h2>

				<p><%= GetString("ContentText_CustomerDiscountText1") & "<strong>" & DB_C_CustomerDiscount & "%</strong> " & GetString("ContentText_CustomerDiscountText2") %></p>
			</div><%
		
		end if %>
	
	<% end if

	'***********************************************
	'MAILING LIST
	'***********************************************
	If strShow = "all" and GetAppVar("enablemailinglist") <> "n" then %>

		<div class="section mailinglistpreference">
		<h2><% WriteString("PageTitle_MailingList") %></h2>

		<form action="customer_mailinglist.asp">
		<div class="form">
		<%= objCactuSession.Form %>

		<% 'Lookup mailing list settings
		strQuery = "SELECT C_ML_SignupDateTime, C_ML_SignupIP, C_ML_ConfirmationDateTime, C_ML_ConfirmationIP, C_ML_Format, C_ML_SendMail FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE C_ID = " & DB_C_ID
		Call ExecuteRS(strQuery, objRecordSet)

		If objRecordSet.BOF and objRecordSet.EOF then
			'user is logged in so this *SHOULD NEVER* happen!
		Else
			C_ML_SignupDateTime = objRecordSet("C_ML_SignupDateTime")
			C_ML_ConfirmationDateTime = objRecordSet("C_ML_ConfirmationDateTime")
			C_ML_Format = objRecordSet("C_ML_Format")
			C_ML_SendMail = objRecordSet("C_ML_SendMail")

		End if %>

		<p>
		<% 'Show email address confirmation status
		If C_ML_ConfirmationDateTime > CDate(ReverseDate("1/1/1900")) then

			'email is confirmed
			response.write("<p>" & GetString("ContentText_EmailVerified") & "</p>")

			'Give form for changing settings %>

			<div>
				<p><select name="strMailingListPref">
					<option value="n"<%= IIf(C_ML_SendMail <> "y", " selected=""selected""", "") %>><% WriteString("ContentText_SendMailsOff") %></option>
					<option value="t"<%= IIf(C_ML_Format <> "h" AND C_ML_SendMail = "y", " selected=""selected""", "") %>><% WriteString("ContentText_SendMailsPlain") %></option>
					<option value="h"<%= IIf(C_ML_Format = "h" AND C_ML_SendMail = "y", " selected=""selected""", "") %>><% WriteString("ContentText_SendMailsHTML") %></option>
				</select>
				<input type="submit" class="submit" name="submitforward" value="<% WriteSafeString("ContentText_Change") %>" />
				</p>
			</div>
			<%

		Elseif C_ML_SignupDateTime > CDate(ReverseDate("1/1/1900")) then

			'email is NOT confirmed but signup was attempted
			response.write("<p>" & GetString("ContentText_EmailNotVerified") & "</p>")

			response.write("<p><a href=""mailinglist.asp?submit=y&amp;blnHTML=n&amp;strEmailAddress=" & DB_C_EmailAddress & """>" & GetString("ContentText_SendVerificationMail") & "</a></p>")
		Else

			'no attempt yet to signup this email address
			response.write("<p>" & GetString("ContentText_EmailNotSignedUp") & "</p>")

			response.write("<p><a href=""mailinglist.asp?submit=y&amp;blnHTML=n&amp;strEmailAddress=" & DB_C_EmailAddress & """>" & GetString("ContentText_SendVerificationMail") & "</a></p>")


		End if
		%>
		</p>
		</div>
		</form>
		</div>
	<% end if %>

	<div class="section">
	<p><a href="customer_account.asp?<%= objCactuSession.QS %>strLogout=y"><% WriteString("ContentText_LookupPage") %></a></p>
	</div>

</div>

<%
'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
Response.Write(aryPageTemplate(1))

Call EndPage()
%>
