<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "13, 14, 35, 37, 38, 39, 40, 41, 43, 44, 68, 168, 185, 220, 298, 299, 667, 697, 848, 849, 850, 851, 852, 853, 854, 855, 856, 857, 858, 859, 860, 865, 1019, 1256, 1257, 1547, 1548, 1549, 1550, 1551, 1552, 1717, 1811, 1827, 1905" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'CREATE/MODIFY CUSTOMER ACCOUNT
'-----------------------------------------------
strAppPostcodeRequired = GetAppVar("postcoderequired")
strCallMode = ListSafe(DualRequest("strCallMode"), ",new,existing,created,updated", "")

If strCallMode <> "new" then
	blnMustBeLoggedIn = true %>
	<!--#include file="includes/customer_security.asp"-->
<% else
	If GetAppVar("mustbeloggedin") = "yes" then response.redirect("customer_account.asp")
End if %>
<!--#include file="includes/buildpage.asp"-->
<%
blnAdding = (DualRequest("submit") <> "")
blnAdding2 = (DualRequest("submit2") <> "")

'-----------------------------------------------
'CHANGE PASSWORD FORM SUBMITTED
'-----------------------------------------------
If blnAdding then

	strNewPassword1 = request.Form("strNewPassword1")
	strNewPassword2 = request.Form("strNewPassword2")

	'only collect and check email address if creating new account
	'only collect and check old password if not new account
	If strCallMode = "new" then
		'-----------------------------------------------
		'ERROR CHECKS FOR NEW ACCOUNT
		'-----------------------------------------------
		C_EmailAddress = request.Form("C_EmailAddress")
		strErrors = strErrors & CheckBlank(GetString("FormLabel_EmailAddress"), C_EmailAddress, "C_EmailAddress")
		If GetAppVar("minimumcustomercodesize") <> 0 and len(strNewPassword1) < GetAppVar("minimumcustomercodesize") then strErrors = strErrors & CreateErrorWithLabel(GetString("ContentText_CustomerCodeTooShort") & " " & GetAppVar("minimumcustomercodesize") & " " & GetString("ContentText_CharactersLong"), GetString("ContentText_CustomerCode"), "strNewPassword1")
		If CheckEmail("", C_EmailAddress, "") <> "" then strErrors = strErrors &  CreateErrorWithLabel(GetString("ContentText_EmailAddressNotValid") & " " & WriteSafe(strEmailFrom), GetString("FormLabel_EmailAddress"), "C_EmailAddress")

		If strErrors = "" then
			'Check to see if this email address already exists - if it does, redirect
			strQuery = "SELECT C_EmailAddress FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE C_EmailAddress=" & strUnicode & "'" & SQLSafe(C_EmailAddress) & "'"
			Call ExecuteRS(strQuery, objRecordSet)
			If not (objRecordSet.BOF and objRecordSet.EOF) then
				strErrors = strErrors & CreateErrorWithLabel(GetString("ContentText_EmailAddressHasAccountDesc"), GetString("FormLabel_EmailAddress"), "C_EmailAddress")
			End if
			objRecordSet.close

		End if	
	Else
		'-----------------------------------------------
		'ERROR CHECKS FOR EXISTING ACCOUNT
		'-----------------------------------------------
		strOldPassword = request.Form("strOldPassword")
		strErrors = strErrors & CheckBlank(GetString("FormLabel_ExistingCustomerCode"), strOldPassword, "strOldPassword")

		'Check old codes matches
		If strOldPassword <> C_Password and strErrors = "" then
			strErrors = strErrors & CreateErrorWithLabel(GetString("ContentText_CustomerCodeIncorrect"), GetString("FormLabel_ExistingCustomerCode"), "strOldPassword")
		End If
		If GetAppVar("minimumcustomercodesize") <> 0 and len(strNewPassword1) < GetAppVar("minimumcustomercodesize") then strErrors = strErrors & CreateErrorWithLabel(GetString("ContentText_CustomerCodeTooShort") & " " & GetAppVar("minimumcustomercodesize") & " " & GetString("ContentText_CharactersLong"), GetString("FormLabel_NewCustomerCode"), "strNewPassword1")
		
	End if
	
	If strNewPassword1 <> strNewPassword2 then strErrors = strErrors & CreateError(GetString("ContentText_CustomerCodesDifferent"))

	'-----------------------------------------------
	'IF ERRORS, DISPLAY MESSAGE, OTHERWISE UPDATE DB
	'-----------------------------------------------
	If strErrors <> "" then
		strErrors = FormatErrors(strErrors)
	Else
		If strCallMode <> "new" then 
			'otherwise lets update in the database!
			strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Customers SET C_Password = " & strUnicode & "'" & SQLSafe(strNewPassword1) & "', C_LanguageID=" & numLanguageID & " WHERE C_EmailAddress = " & strUnicode & "'" & SQLSafe(C_EmailAddress) & "' AND C_Password=" & strUnicode & "'" & SQLSafe(strOldPassword) & "'"
			Call ExecuteNonQuery(strQuery)

			'Now log the user in with new account details
			response.redirect("c.asp?C_EmailAddress=" & C_EmailAddress & "&C_Password=" & strNewPassword1 & "&strTarget=updateaccount")	
		Else
			strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "Customers (C_EmailAddress, C_Password, C_LanguageID) VALUES (" & strUnicode & "'" & SQLSafe(C_EmailAddress) & "', " & strUnicode & "'" & SQLSafe(strNewPassword1) & "', " & numLanguageID & ")"
			Call ExecuteNonQuery(strQuery)

			'Pull out the customer ID, allowing for database lag
			strQuery = LimitSQL("C_ID FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE C_Password=" & strUnicode & "'" & SQLSafe(strNewPassword1) & "' AND C_EmailAddress=" & strUnicode & "'" & SQLSafe(C_EmailAddress) & "' ORDER BY C_ID DESC", 1, false)
			Do While C_ID = 0
				Call ExecuteRS(strQuery, objRecordSet)
				if not (objRecordSet.bof and objRecordSet.eof) then
					C_ID = objRecordSet("C_ID")
				end if
				objRecordSet.close
			loop
	
			'Send email with customer details - LS# 1547, 1548, 1549, 1550, 1551, 1552
			If GetAppVar("sendemailonnewaccount") = "y" then
				'Build up email text
				strSubject = GetString("Config_SubjectLine5")
				strEmailText = GetString("EmailText_CustomerSignedUpHeader") & vbcrlf & vbcrlf
				strEmailText = strEmailText & GetString("EmailText_EmailAddress") & C_EmailAddress & vbcrlf
				strEmailText = strEmailText & GetString("EmailText_CustomerCode") & strNewPassword1 & vbcrlf & vbcrlf
				strEmailText = strEmailText & GetString("EmailText_CustomerSignedUpFooter1") & GetAppVar("webshopURL") & "customer_account.asp" & GetString("EmailText_CustomerSignedUpFooter2")
				strEmailText = Replace(Replace(strEmailText, "<br>", vbcrlf), "<br />", vbcrlf)
				
				'Send the email
				Call SendEMail(GetAppVar("emailmethod"), GetAppVar("mailserver"), C_EmailAddress, "", "", strEmailFrom, strEmailFrom, strEmailFrom, strEmailFrom, strSubject, strEmailText, "", false)

			end if

			'Now log the user in with new account details
			response.redirect("c.asp?C_EmailAddress=" & C_EmailAddress & "&C_Password=" & strNewPassword1 & "&strTarget=newaccount")

		End if

	End If
End If 

'-----------------------------------------------
'CHANGE BILLING/SHIPPING DETAILS FORM SUBMITTED
'-----------------------------------------------
If blnAdding2 then

	C_CardholderName = left(request.Form("C_CardholderName") & "", GetAppVar("C_CardholderName_AL"))
	C_CardholderCompany = left(request.Form("C_CardholderCompany") & "", GetAppVar("C_CardholderCompany_AL"))
	C_CardholderStreetAddress = left(request.Form("C_CardholderStreetAddress") & "", GetAppVar("C_CardholderStreetAddress_AL"))
	C_CardholderTownCity = left(request.Form("C_CardholderTownCity") & "", GetAppVar("C_CardholderTownCity_AL"))
	C_CardholderCounty = left(request.Form("C_CardholderCounty") & "", GetAppVar("C_CardholderCounty_AL"))
	C_CardholderCountry = NumSafe(request.Form("C_CardholderCountry"))
	C_CardholderPostCode = left(request.Form("C_CardholderPostCode") & "", GetAppVar("C_CardholderPostcode_AL"))
	C_Telephone = left(request.Form("C_Telephone") & "", GetAppVar("C_Telephone_AL"))
	C_ShippingName = left(request.Form("C_ShippingName") & "", GetAppVar("C_ShippingName_AL"))
	C_ShippingCompany = left(request.Form("C_ShippingCompany") & "", GetAppVar("C_CardholderCompany_AL"))
	C_ShippingStreetAddress = left(request.Form("C_ShippingStreetAddress") & "", GetAppVar("C_ShippingStreetAddress_AL"))
	C_ShippingTownCity = left(request.Form("C_ShippingTownCity") & "", GetAppVar("C_ShippingTownCity_AL"))
	C_ShippingCounty = left(request.Form("C_ShippingCounty") & "", GetAppVar("C_ShippingCounty_AL"))
	C_ShippingCountry = NumSafe(request.Form("C_ShippingCountry"))
	C_ShippingPostCode = left(request.Form("C_ShippingPostCode") & "", GetAppVar("C_ShippingPostcode_AL"))

	'-----------------------------------------------
	'ERROR CHECK CUSTOMER NAME AND ADDRESS INFO
	'-----------------------------------------------
	'Check for blank fields
	strErrors2 = strErrors2 & CheckBlank(GetString("ContentText_YourName"), C_CardholderName, "C_CardholderName")
	strErrors2 = strErrors2 & CheckBlank(GetString("ContentText_BillingAddress"), C_CardholderStreetAddress, "C_CardholderStreetAddress")
	strErrors2 = strErrors2 & CheckBlank(GetString("FormLabel_TownCity"), C_CardholderTownCity, "C_CardholderTownCity")

	If strAppPostcodeRequired = "y" then 
		strErrors2 = strErrors2 & CheckBlank(GetString("FormLabel_PostCodeZip"), C_CardholderPostCode, "C_CardholderPostCode")
	end if

	'Check for blanks
	strErrors2 = strErrors2 & CheckZero(GetString("FormLabel_BillingCountry"), C_CardholderCountry, "C_CardholderCountry")

	strErrors2 = strErrors2 & CheckBlank(GetString("FormLabel_RecipientName"), C_ShippingName, "C_ShippingName")
	strErrors2 = strErrors2 & CheckBlank(GetString("FormLabel_ShippingAddress"), C_ShippingStreetAddress, "C_ShippingStreetAddress")
	strErrors2 = strErrors2 & CheckBlank(GetString("FormLabel_ShippingTownCity"), C_ShippingTownCity, "C_ShippingTownCity")

	If strAppPostcodeRequired = "y" then 
		strErrors2 = strErrors2 & CheckBlank(GetString("FormLabel_ShippingPostCodeZip"), C_ShippingPostCode, "C_ShippingPostCode")
	end if

	'Check for blanks
	strErrors2 = strErrors2 & CheckZero(GetString("FormLabel_Country"), C_ShippingCountry, "C_ShippingCountry")

	strErrors2 = strErrors2 & CheckBlank(GetString("FormText_PhoneNumber"), C_Telephone, "C_Telephone")

	'-----------------------------------------------
	'IF ERRORS, DISPLAY MESSAGE, OTHERWISE UPDATE DB
	'-----------------------------------------------
	If strErrors2 <> "" then
		strErrors2 = FormatErrors(strErrors2)
	Else
		'Modify customer account
		strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Customers SET " &_
			"C_CardholderName=" & strUnicode & "'" & SQLSafe(C_CardholderName) & "'," &_
			"C_CardholderCompany=" & strUnicode & "'" & SQLSafe(C_CardholderCompany) & "'," &_
			"C_CardholderStreetAddress=" & strUnicode & "'" & SQLSafe(C_CardholderStreetAddress) & "'," &_
			"C_CardholderTownCity=" & strUnicode & "'" & SQLSafe(C_CardholderTownCity) & "'," &_
			"C_CardholderCounty=" & strUnicode & "'" & SQLSafe(C_CardholderCounty) & "'," &_
			"C_CardholderPostCode=" & strUnicode & "'" & SQLSafe(C_CardholderPostCode) & "'," &_
			"C_CardholderCountry=" & NumSafe(C_CardholderCountry) & "," &_
			"C_ShippingName=" & strUnicode & "'" & SQLSafe(C_ShippingName) & "'," &_
			"C_ShippingCompany=" & strUnicode & "'" & SQLSafe(C_ShippingCompany) & "'," &_
			"C_ShippingStreetAddress=" & strUnicode & "'" & SQLSafe(C_ShippingStreetAddress) & "'," &_
			"C_ShippingTownCity=" & strUnicode & "'" & SQLSafe(C_ShippingTownCity) & "'," &_
			"C_ShippingCounty=" & strUnicode & "'" & SQLSafe(C_ShippingCounty) & "'," &_
			"C_ShippingPostCode=" & strUnicode & "'" & SQLSafe(C_ShippingPostCode) & "'," &_
			"C_ShippingCountry=" & NumSafe(C_ShippingCountry) & "," &_
			"C_Telephone=" & strUnicode & "'" & SQLSafe(C_Telephone) & "'" &_		
			" WHERE C_ID = " & DB_C_ID
		Call ExecuteNonQuery(strQuery)
	End If

End If

'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)

'-----------------------------------------------
'WRITE FIRST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(0))

%>
<h1><% WriteString("PageTitle_MyAccount") %></h1>
<div class="customer changepassword">

		<% If strCallMode <> "new" then %>
				<p><% WriteString("SubTitle_ChangeCustomerCode") %></p>
		<% else %>
				<p><% WriteString("SubTitle_CreateCustomerAccount") %></p>		
		<% end if %>		
		
		<% if strErrors <> "" then %>
			<div class="errors"><strong><% WriteString("ContentText_CorrectErrors") %></strong><%= strErrors %></div><%
		end if %>

		<% If strCallMode = "created" then
			strCallMode = "" %>
				<div class="errors"><strong><% WriteString("ContentText_CustomerAdded") %></strong></div><br />		
		<% End If %>
		<% If strCallMode = "updated" then
			strCallMode = "" %>
				<div class="errors"><strong><% WriteString("ContentText_CustomerCodeUpdated") %></strong></div><br />		
		<% End If %>

		<form method="post" action="customer_modifycode.asp" name="form1" id="form1">
		<div class="box inputform">

			<input type="hidden" name="strCallMode" value="<% =strCallMode %>" />

			<%= objCactuSession.Form %>
			<label for="C_EmailAddress"><% WriteString("FormLabel_EmailAddress") %></label>

			<% If strCallMode <> "new" then %>
				<div><strong><%= WriteSafe(DB_C_EmailAddress) %></strong></div><br />
			<% else %>
				<div><input type="text" name="C_EmailAddress" id="C_EmailAddress" value="<%= WriteSafe(C_EmailAddress) %>" /></div><br />
			<% end if %>

			<% If strCallMode <> "new" then %>		
			<label for="strOldPassword"><% WriteString("FormLabel_ExistingCustomerCode") %>*</label>
			<div><input type="password" name="strOldPassword" id="strOldPassword" value="<%= WriteSafe(strOldPassword) %>" /></div><br />
			<% end if %>

			<label for="strNewPassword1"><% WriteString("FormLabel_NewCustomerCode") %>*</label>
			<div><input type="password" name="strNewPassword1" id="strNewPassword1" value="<%= WriteSafe(strNewPassword1) %>" /></div><br />
			
			<label for="strNewPassword2"><% WriteString("FormLabel_NewCustomerCodeRepeat")%>*</label>
			<div><input type="password" name="strNewPassword2" id="strNewPassword2" value="<%= WriteSafe(strNewPassword2) %>" /></div><br />

			<input class="submit" type="submit" name="submit" value="<% WriteSafeString("FormButton_Submit") %>" />
		</div>
		</form>


		<% If strCallMode <> "new" then %>
		<form method="post" action="customer_modifycode.asp" name="form2" id="form2">

			<%
			'-----------------------------------------------
			'PULL OUT FULL CUSTOMER DETAILS				
			'-----------------------------------------------
			If strCallMode <> "new" and blnAdding2 = false then
				strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Customers LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "CustomerGroups ON tblCactuShop" & TABLE_PREFIX & "Customers.C_CustomerGroupID = tblCactuShop" & TABLE_PREFIX & "CustomerGroups.CG_ID WHERE C_EmailAddress=" & strUnicode & "'" & SQLSafe(C_EmailAddress) & "' AND C_Password=" & strUnicode & "'" & SQLSafe(C_Password) & "' ORDER BY C_ID DESC"
				Call ExecuteRS(strQuery, objRecordSet)
				If not (objRecordSet.BOF and objRecordSet.EOF) then
				
					'Some should be skipped depending on the step, as the data
					'will come from the form
				
					C_CardholderName = objRecordSet("C_CardholderName") & ""
					C_CardholderCompany = objRecordSet("C_CardholderCompany") & ""
					C_CardholderStreetAddress = objRecordSet("C_CardholderStreetAddress") & ""
					C_CardholderTownCity = objRecordSet("C_CardholderTownCity") & ""
					C_CardholderCounty = objRecordSet("C_CardholderCounty") & ""
					C_CardholderCountry = objRecordSet("C_CardholderCountry")
					C_CardholderPostCode = objRecordSet("C_CardholderPostCode") & ""
					C_CustomerDiscount = objRecordSet("C_CustomerDiscount") & ""
					C_Telephone = objRecordSet("C_Telephone") & ""
					C_ShippingName = objRecordSet("C_ShippingName") & ""
					C_ShippingCompany = objRecordSet("C_ShippingCompany") & ""
					C_ShippingStreetAddress = objRecordSet("C_ShippingStreetAddress") & ""
					C_ShippingTownCity = objRecordSet("C_ShippingTownCity") & ""
					C_ShippingCounty = objRecordSet("C_ShippingCounty") & ""
					C_ShippingCountry = objRecordSet("C_ShippingCountry")
					C_ShippingPostCode = objRecordSet("C_ShippingPostCode")
					C_Password = objRecordSet("C_Password") & ""
				End If
				objRecordSet.close
			End if
			%>


			<div class="section">
			<% if strErrors2 <> "" then %>
				<div class="errors"><strong><% WriteString("ContentText_CorrectErrors") %></strong><%= strErrors2 %></div><%
			end if %>
			<% if strErrors2 = "" and blnAdding2 = true then %>
				<div class="errors"><strong><% WriteString("ContentText_CustomerCodeUpdated") %></strong></div><%
			end if %>

			<div class="box inputform">

				<input type="hidden" name="strCallMode" value="<% =strCallMode %>" />

				<h4><% WriteString("SubTitle_BillingInformation") %></h4>

				<label for="C_CardholderName"><% WriteString("ContentText_YourName") %>*</label>
				<div><input type="text" name="C_CardholderName" id="C_CardholderName" value="<%= WriteSafe(C_CardholderName) %>" /></div><br />
					
				<label for="C_CardholderCompany"><% WriteString("FormLabel_CardHolderCompany") %></label>
				<div><input type="text" name="C_CardholderCompany" id="C_CardholderCompany" value="<%= WriteSafe(C_CardholderCompany) %>" /></div><br />

				<label for="C_CardholderStreetAddress"><% WriteString("ContentText_BillingAddress") %>*</label>
				<div><input type="text" name="C_CardholderStreetAddress" value="<%= WriteSafe(C_CardholderStreetAddress) %>" id="C_CardholderStreetAddress" /></div><br />
				
				<label for="C_CardholderTownCity"><% WriteString("FormLabel_TownCity") %>*</label>
				<div><input type="text" name="C_CardholderTownCity" value="<%= WriteSafe(C_CardholderTownCity) %>" id="C_CardholderTownCity" /></div><br />
				
				<label for="C_CardholderCounty"><% WriteString("FormLabel_CountyState") %></label>
				<div><input type="text" name="C_CardholderCounty" value="<%= WriteSafe(C_CardholderCounty) %>" id="C_CardholderCounty" /></div><br />
				
				<label for="C_CardholderPostCode"><% WriteString("FormLabel_PostCodeZip") %><%= IIf(strAppPostcodeRequired = "y", "*", "") %></label>
				<div><input type="text" name="C_CardholderPostCode" value="<%= WriteSafe(C_CardholderPostCode) %>" id="C_CardholderPostCode" /></div><br />
				
				<label for="C_CardholderCountry"><% WriteString("FormLabel_BillingCountry") %>*</label>
				<div><%
					strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Destination WHERE D_Live='y' ORDER BY D_Destination" & CInt(numLanguageID)
					Call ExecuteRS(strQuery, objRecordSet)
					Call SingleDropDown("C_CardholderCountry", "0", "-", objRecordSet, "D_ID", "D_Destination" & CInt(numLanguageID), C_CardholderCountry)
					objRecordSet.close
				%></div><br />
	

				<h4><% WriteString("SubTitle_ShippingInformation") %></h4>
				<div class="shippingdetails" id="shippingdetails">
					<label for="C_ShippingName"><% WriteString("FormLabel_RecipientName") %>*</label>
					<div><input type="text" name="C_ShippingName" value="<%= WriteSafe(C_ShippingName) %>" id="C_ShippingName" /></div><br />

					<label for="C_ShippingCompany"><% WriteString("FormLabel_ShippingCompany") %></label>
					<div><input type="text" name="C_ShippingCompany" value="<%= WriteSafe(C_ShippingCompany) %>" id="C_ShippingCompany" /></div><br />
	
					<label for="C_ShippingStreetAddress"><% WriteString("FormLabel_ShippingAddress") %>*</label>
					<div><input type="text" name="C_ShippingStreetAddress" value="<%= WriteSafe(C_ShippingStreetAddress) %>" id="C_ShippingStreetAddress" /></div><br />
					
					<label for="C_ShippingTownCity"><% WriteString("FormLabel_TownCity") %>*</label>
					<div><input type="text" name="C_ShippingTownCity" value="<%= WriteSafe(C_ShippingTownCity) %>" id="C_ShippingTownCity" /></div><br />
					
					<label for="C_ShippingCounty"><% WriteString("FormLabel_CountyState") %></label>
					<div><input type="text" name="C_ShippingCounty" value="<%= WriteSafe(C_ShippingCounty) %>" id="C_ShippingCounty" /></div><br />
					
					<label><% WriteString("FormLabel_PostCodeZip") %><%= IIf(strAppPostcodeRequired = "y", "*", "") %></label>
					<div><input type="text" name="C_ShippingPostCode" value="<%= WriteSafe(C_ShippingPostCode) %>" id="C_ShippingPostCode" /></div><br />
				
				<label for="C_ShippingCountry"><% WriteString("FormLabel_Country") %>*</label>
				<div><%
					strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Destination WHERE D_Live='y' ORDER BY D_Destination" & CInt(numLanguageID)
					Call ExecuteRS(strQuery, objRecordSet)
					Call SingleDropDown("C_ShippingCountry", "0", "-", objRecordSet, "D_ID", "D_Destination" & CInt(numLanguageID), C_ShippingCountry)
					objRecordSet.close
				%></div><br />

				<label for="C_Telephone"><% WriteString("FormText_PhoneNumber") %>*</label>
				<div><input type="text" name="C_Telephone" id="C_Telephone" value="<%= WriteSafe(C_Telephone) %>" /></div><br />

				<input class="submit" type="submit" name="submit2" value="<% WriteSafeString("FormButton_Submit") %>" />
				</div>
			</div>		
	

		</div>
		</form>
		<% end if %>
		
</div>

<%
'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
Response.Write(aryPageTemplate(1))

Call EndPage()
%>
