<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "1, 7, 10, 11, 12, 13, 14, 15, 16, 17, 18, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 48, 49, 50, 55, 56, 58, 59, 60, 99, 100, 101, 102, 115, 118, 119, 122, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 167, 143, 144, 145, 146, 147, 148, 167, 168, 169, 171, 206, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 233, 243, 243, 244, 261, 262, 263, 264, 283, 284, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307, 476, 667, 668, 697, 702, 703, 706, 707, 724, 726, 794, 819, 820, 821, 822, 823, 824, 825, 833, 836, 839, 855, 856, 863, 860, 884, 885, 961, 962, 963, 967, 968, 969, 970, 971, 972, 983, 1011, 1012, 1015, 1048, 1049, 1061, 1062, 1063, 1064, 1087, 1109, 1110, 1111, 1112, 1113, 1129, 1130, 1131, 1132, 1135, 1148, 1152, 1185, 1188, 1189, 1193, 1195, 1251, 1233, 1248, 1249, 1256, 1257, 1303, 1304, 1408, 1409, 1416, 1417, 1418, 1476, 1478, 1479, 1480, 1481, 1510, 1511, 1547, 1548, 1549, 1550, 1551, 1552, 1589, 1617, 1618, 1619, 1620, 1621, 1623, 1713, 1714, 1715, 1716, 1717, 1742, 1744, 1745, 1750, 1751, 1752, 1755, 1756, 1757, 1758, 1787, 1788, 1790, 1882, 1892, 1905, 1930, 1936"
blnDateStrings = true %>
<!--#include file="payment/payment.asp"-->
<!--#include file="includes/classes_google.asp"-->
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/classes_shipping.asp"-->
<!--#include file="includes/customer_security.asp"-->


<%
'--------------------------------------------------
'GET DESTINATION ID FROM ISOCODE RETURNED BY GOOGLE
'--------------------------------------------------
Function GetCountryID(strISOCode)
	strQuery = "SELECT D_ID FROM tblCactuShop" & TABLE_PREFIX & "Destination WHERE D_ISOCode='" & SQLSafe(strISOCode) & "'"
	Call ExecuteRS(strQuery, objRecordSet)
	If not (objRecordSet.BOF and objRecordSet.EOF) Then
		GetCountryID = NumSafe(objRecordSet("D_ID"))
	end if
	objRecordSet.Close
End Function

'-------------------------------------------------------------------
'GET SHIPPING METHOD ID FROM SHIPPING METHOD NAME RETURNED BY GOOGLE
'-------------------------------------------------------------------
Function GetShippingMethodID(strShippingMethodName)
	strQuery = "SELECT SM_ID FROM tblCactuShop" & TABLE_PREFIX & "ShippingMethods WHERE SM_Name" & CInt(numLanguageID) & "='" & SQLSafe(strShippingMethodName) & "'"
	Call ExecuteRS(strQuery, objRecordSet)
	If not (objRecordSet.BOF and objRecordSet.EOF) Then
		GetShippingMethodID = NumSafe(objRecordSet("SM_ID"))
	end if
	objRecordSet.Close
End Function

'--------------------------------
'CHECKOUT.ASP EMAILTEXT FUNCTIONS
'--------------------------------
Function GetBasketModifierEmailText(objBasketModifier, strName, strDescription)
				With objBasketModifier
					GetBasketModifierEmailText = GetItemEmailText(strName, strDescription, .ExTax, .IncTax, .TaxAmount, .TaxRate)
				End With
			End Function

Function GetItemEmailText(strName, strDescription, numExTax, numIncTax, numTaxAmount, numTaxRate)
	GetItemEmailText = GetString("EmailText_OrderEmailBreaker") & " " & strName & vbcrlf
	If strDescription <> "" then GetItemEmailText = GetItemEmailText & " " & strDescription & vbcrlf
	If strAppPricesIncTax = "n" or strAppShowTaxDisplay = "y" then
		GetItemEmailText = GetItemEmailText & " " & objCurrency.Display(numExTax, false, true) & " + " & objCurrency.Display(numTaxAmount, false, true) & " " & GetString("ContentText_Tax") & " (" & numTaxRate * 100 & "%)" & vbcrlf
	Else
		GetItemEmailText = GetItemEmailText & " " & objCurrency.Display(numIncTax, false, true) & vbcrlf
	End if
End Function


MerchantCurrency = GetAppVar("GOOGLE_ProcessCurrency")
ResponseXml = Replace(Request.Form("xml"),"xZx"," ")

If ResponseXml <> "" then	
	if instr(left(ResponseXml, 20), "<html") then
		'if google is returning HTML then we have an error
		'and through testing we think we know the most likely cause
		response.write("<strong>ERROR</strong><br />Google cannot reach your site to post a response and is returning an error message instead. This can happen if you have your GOOGLE_Status config setting set to ""on"" but are running your site on a local computer rather than a live web server. Switch GOOGLE_Status to ""test"" or setup the files on a live web server where pages are accessible from the internet.")
	else
		Dim ResponseNode, RootTag
		Set ResponseNode = GetRootNode(ResponseXml)
		RootTag = ResponseNode.Tagname
	end if
End if

Select Case RootTag
	Case "merchant-calculation-callback"
		%><!--#include file="includes/buildpage.asp"--><%
		
		Dim GoogleCallback
		Set GoogleCallback = New MerchantCalculationCallback
		GoogleCallback.ParseNotification ResponseXml

		' ********* Access MerchantCalculationCallback variables ********
		If IsObject(GoogleCallback.MerchantPrivateData) Then
			Dim CactuPrivateData
			Set CactuPrivateData = GoogleCallback.MerchantPrivateData
			
			ShippingTotalExTax = NumSafe(GetElementText(CactuPrivateData, "shipping-totalextax"))
			ShippingTotalTaxAmount = NumSafe(GetElementText(CactuPrivateData, "shipping-totaltaxamount"))
			ShippingTotalWeight = NumSafe(GetElementText(CactuPrivateData, "shipping-weight"))
			ShippingTotalIncTax = ShippingTotalExTax + ShippingTotalTaxAmount
			BasketTotalTaxAmount = NumSafe(GetElementText(CactuPrivateData, "basket-totaltaxamount"))
			Set CactuPrivateData = Nothing
		End If

		' Construct <merchant-calculation-results>
		Dim MyMerCalcResults, MyResult, MyCoupon, MyGiftCert, MerchantCodeType
		Set MyMerCalcResults = New MerchantCalculationResults


		strAppShippingSystem = GetAppVar("shippingsystem")
		' Loop through each anonymous address from the callback
		For Each AnonymousAddress In GoogleCallback.AnonymousAddressArr
			
			If AnonymousAddress.CountryCode = "GB" then strCountryISO = "UK" else strCountryISO = AnonymousAddress.CountryCode
			C_ShippingCountry = GetCountryID(strCountryISO)
			'Look up shipping tax rate
			Set objRecordSetMisc = Server.CreateObject("ADODB.Recordset")
			'strQuery3 = "SELECT D_Tax FROM tblCactuShop" & TABLE_PREFIX & "Destination WHERE D_ID=" & C_ShippingCountry
			
					strQuery = "SELECT T_Taxrate FROM tblCactuShop" & TABLE_PREFIX & "TaxRates WHERE T_ID=" & NumSafe(GetAppVar("shiptaxband"))
					Call ExecuteRS(strQuery, objRecordSetMisc)
					If objRecordSetMisc.BOF and objRecordSetMisc.EOF then
						objRecordSetMisc.Close
						'Call EndPage()
						response.Redirect("error.asp?" & strSessionQS & "id=badshiptaxband")
					Else
						ShippingPriceTaxRate = objRecordSetMisc("T_Taxrate") / 100
						objRecordSetMisc.close
					End If

			' Construct and add <result> into <merchant-calculation-results>
			
			' Loop through each merchant-calculated-shipping method
			If GoogleCallback.ShippingMethodIndex >= 0 Then
				For Each GoogleShippingMethod In GoogleCallback.ShippingMethodArr
					Set MyResult = New Result
					
					'----FROM SHIPPING CALCULATION METHOD OF THE BASKET CLASS ----
								
					'----------------------------------------------------------	
					'PULL OUT SHIPPING DETAILS
					'----------------------------------------------------------	
					
					If GoogleShippingMethod <> GetString("ContentText_ShippingPickup") then
					
					numShipMethod = GetShippingMethodID(GoogleShippingMethod)
					
					
						'pull out all the shipping rates in this method for this country
						'We'll use it later for shipping calculations
						strQuery3 = "SELECT * FROM (tblCactuShop" & TABLE_PREFIX & "Destination INNER JOIN tblCactuShop" & TABLE_PREFIX & "ShippingRates ON tblCactuShop" & TABLE_PREFIX & "Destination.D_ShippingZoneID = tblCactuShop" & TABLE_PREFIX & "ShippingRates.S_ShippingZoneID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "ShippingMethods ON tblCactuShop" & TABLE_PREFIX & "ShippingMethods.SM_ID = tblCactuShop" & TABLE_PREFIX & "ShippingRates.S_ShippingMethodID WHERE SM_Live = 'y' AND D_ID=" & C_ShippingCountry & " AND SM_ID=" & SQLSafe(numShipMethod) & " ORDER BY S_ShippingZoneID ASC, S_Boundary DESC"
					Set objRecordSetShipping = Server.CreateObject("ADODB.Recordset")
					Call ExecuteRS(strQuery3, objRecordSetShipping)

					
						'If we didn't get a record, then we've got problems
						If objRecordSetShipping.BOF and objRecordSetShipping.EOF then 
							MyResult.Shippable = False 		
						else
							MyResult.Shippable = True
							D_Tax = objRecordSetShipping("D_Tax")
							if D_Tax <> "" and D_Tax > 0 then ShippingPriceTaxRate = ShippingPriceTaxRate * D_Tax
							ApplyTax = (D_Tax > 0) 
							'and not blnEUVat
							
							
							'-----------------------------------------------
							'LOOKUP SHIPPING METHOD DETAILS
							'-----------------------------------------------
							If strAppShippingSystem = "none" then
								m_shippingType = SHIPPING_TYPE_DISABLED

							ElseIf AllFreeShipping then
								'Get the electronic/free shipping method, ls #1510, 1511
								m_shippingType = SHIPPING_TYPE_FREE
								m_shippingName = GetString("ContentText_ShippingElectronic")
								m_ShippingDescription = GetString("ContentText_ShippingElectronicDesc")

							elseif numShipMethod = -1 and GetAppVar("pickupoption") = "y" then
								'If numShipMethod = 0 then we're doing a pickup - ls #1408, 1409
								m_shippingType = SHIPPING_TYPE_PICKUP
								m_shippingName = GetString("ContentText_ShippingPickup")
								m_shippingDescription = GetString("ContentText_ShippingPickupDesc")			
								
							else
								if strAppShippingSystem = "cactushop" then
								'response.end
									'Get out the shipping method being used
									m_shippingType = SHIPPING_TYPE_CACTUS
									strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "ShippingMethods WHERE SM_Live = 'y' AND SM_ID=" & NumSafe(numShipMethod)
									'response.write strquery
									'response.end
									Call ExecuteRS(strQuery, objRecordSetMisc)
									If objRecordSetMisc.BOF and objRecordSetMisc.EOF then
										objRecordSetMisc.close
										Call EndPage()
										response.Redirect("error.asp?" & strSessionQS & "id=badshipping")
									Else	
										m_shippingName = objRecordSetMisc("SM_Name" & CInt(numLanguageID))
										'm_shippingDescription = objRecordSetMisc("SM_Description" & CInt(numLanguageID))
										objRecordSetMisc.close
									End If
									
								elseif strAppShippingSystem = "ups" then
									'Create the UPS object and set config settings
									m_shippingType = SHIPPING_TYPE_UPS
									Dim objShipping, strShopRegion
									Set objShipping = new UPSShipping
									strShopRegion = GetAppVar("UPS_ShopRegionCode")
									Call objShipping.Build(strShipISO, strShipPostcode, TotalWeight)

									'Get specific shipping rate
									objShipping.GetRate(numShipMethod)
									If objShipping.TotalShippingRates > 0 then
										'Grab the name of the shipping type from the database
										strServiceCode = CStr(numShipMethod)
										If len(strServiceCode) = 1 then strServiceCode = "0" & strServiceCode
										strQuery = "SELECT UPS_Name FROM tblCactuShop" & TABLE_PREFIX & "UPS WHERE UPS_Region = '" & SQLSafe(strShopRegion) & "' AND UPS_Code = '" & SQLSafe(strServiceCode) & "'"
										Call ExecuteRS(strQuery, objRecordSetMisc)
										If not (objRecordSetMisc.BOF and objRecordSetMisc.EOF) then
											numUPSShippingCost = objShipping.ShippingRates(1).Cost
											m_shippingName = "UPS"
											'm_shippingDescription = objRecordSetMisc("UPS_Name")
											objRecordSetMisc.Close
										Else
											objRecordSetMisc.Close
											Call EndPage()
											response.Redirect("error.asp?" & strSessionQS & "id=upsnotindb&code=" & strServiceCode)
										end if
									end if
								end if
							end if

							
							'-----------------------------------------------
							'CALCULATE DEDUCTIONS, TOTALS AND SHIPPING
							'-----------------------------------------------		
							'Set the customer discount and zero shipping
							'm_customerDiscountPercentage = NumSafe(numCustomerDiscount)
							
							blnZeroShipping = (m_shippingType = SHIPPING_TYPE_DISABLED or m_shippingType = SHIPPING_TYPE_PICKUP or m_shippingType = SHIPPING_TYPE_FREE)
							

							If GetAppVar("pricesinctax") <> "y" then numShippingTotalAmount = ShippingTotalExTax else numShippingTotalAmount = ShippingTotalIncTax

										
							'Calculate shipping costs
							
							If blnZeroShipping then
								'Shipping disabled
								numShippingPriceValue = 0
								
							ElseIf strAppShippingSystem = "cactushop" then
								'Loop through all the shipping boundaries
								do while not objRecordSetShipping.EOF
									if GetAppVar("calcshipcostbyweight") = "y" then
										
										If objRecordSetShipping("S_boundary") >= ShippingTotalWeight then
											numShippingPriceValue = objRecordSetShipping("S_ShippingRate")
										end if
										
									else
										If objRecordSetShipping("S_boundary") >= (numShippingTotalAmount / objCurrency.ExchangeRate) then
											numShippingPriceValue = objRecordSetShipping("S_ShippingRate")
										end if
									end if	
									objRecordSetShipping.moveNext
								loop
								
								'Convert to the users currency
								'numShippingPriceValue = SafeRound(numShippingPriceValue * objCurrency.ExchangeRate, 2)
								

							elseif GetAppVar("shippingsystem") = "ups" then
								'If we are including tax in display, shipping price should include all tax
								If PricesIncTax then
									numShippingPriceValue = numUPSShippingCost * GetAppVar("UPS_CurrencyConversion") * objCurrency.ExchangeRate
									numShippingPriceValue = SafeRound(numShippingPriceValue * (1 + ShippingPriceTaxRate), 2)
								else
									'otherwise leave without and the ex-tax can be displayed
									numShippingPriceValue = SafeRound(numUPSShippingCost * GetAppVar("UPS_CurrencyConversion") * objCurrency.ExchangeRate, 2)
								end if
							end if
									
							'Set shipping inc and ex tax values
							If GetAppVar("pricesinctax") = "y" then
								'Set the extax and inctax shipping values
								ShippingPriceExTax = SafeRound(numShippingPriceValue * (1 / (1 + ShippingPriceTaxRate)), 2)
											
								'If tax is off, then inc tax can be set to just the ex tax
								If ApplyTax then
									ShippingPriceIncTax = numShippingPriceValue
								Else
									ShippingPriceIncTax = ShippingPriceExTax
								End if
							Else
								'Tax rate for shipping
								If Not ApplyTax then
									ShippingPriceTaxRate = 0
								End If
								
								'Set the extax and inctax shipping values
								ShippingPriceExTax = numShippingPriceValue
								ShippingPriceIncTax = SafeRound(ShippingPriceExTax * (1 + ShippingPriceTaxRate), 2)
								
							End if
							
							objRecordSetShipping.Close
						end if '//Not Record Retrieved
					
					else
						MyResult.Shippable = True
						ShippingPriceExtax = 0
					end if '// if not customer pickup
					
					'---- FROM CALCULATE ORDER HANDLING CHARGE FUNCTION FROM BASKET CLASS ----
						
					'Get the value and the tax band
					numOrderHandlingPriceValue = GetAppVar("orderhandlingcharge") * objCurrency.ExchangeRate
					numOrderHandlingTaxBand = GetAppVar("orderhandlingchargetaxband")

					'Get the tax rate
					'Set objRecordSetMisc = Server.CreateObject("ADODB.Recordset")
					strQuery = "SELECT T_Taxrate FROM tblCactuShop" & TABLE_PREFIX & "Destination, tblCactuShop" & TABLE_PREFIX & "TaxRates WHERE D_ID=" & C_ShippingCountry & " AND T_ID =" & numOrderHandlingTaxBand
					Call ExecuteRS(strQuery, objRecordSetMisc)
					If objRecordSetMisc.BOF and objRecordSetMisc.EOF then
						Call endPage()
						response.redirect("error.asp?" & strSessionQS & "id=badhandlingtaxband")
					Else
						if D_Tax <> "" then OrderHandlingPriceTaxRate = (objRecordSetMisc("T_Taxrate") / 100) * D_Tax else OrderHandlingPriceTaxRate = objRecordSetMisc("T_Taxrate") / 100
					End If
					
					objRecordSetMisc.Close
					'Set objRecordSetMisc = Nothing
					
					If GetAppVar("PricesIncTax") = "y" then
						'Set the extax and inctax order handling values
						OrderHandlingPriceExTax = SafeRound(numOrderHandlingPriceValue * (1 / (1 + OrderHandlingPriceTaxRate)), 2)
						
						'If tax is off, then inc tax can be set to just the ex tax
						If ApplyTax then
							OrderHandlingPriceIncTax = numOrderHandlingPriceValue
						Else
							OrderHandlingPriceIncTax = OrderHandlingPriceExTax
						End if
						OrderHandlingPriceTaxAmount = SafeRound(OrderHandlingPriceExTax * OrderHandlingPriceTaxRate,2)
					Else
						'Tax rate for order handling
						If Not ApplyTax then
							OrderHandlingPriceTaxRate = 0
						End If
						
						'Set the extax and inctax order handling values
						OrderHandlingPriceExTax = numOrderHandlingPriceValue
						OrderHandlingPriceIncTax = SafeRound(OrderHandlingPriceExTax * (1 + OrderHandlingPriceTaxRate), 2)
						OrderHandlingPriceTaxAmount = SafeRound(OrderHandlingPriceExTax * OrderHandlingPriceTaxRate,2)
					End if
				
				
					'// ---- END ORDER HANDLING CHARGE FUNCTION ----
	
					Set objRecordSetShipping = Nothing
					
					' //---- END SHIPPING CALCULATION METHOD ----
					
					' Get the shipping name, rate and whether it's shippable
					MyResult.ShippingName = GoogleShippingMethod
					if MyResult.Shippable = True then MyResult.ShippingRate = ShippingPriceExTax else MyResult.ShippingRate = 0
					
					' Anonymous-address ID
					MyResult.AddressId = AnonymousAddress.ID

					' Calculate merchant-calculated tax
					If GoogleCallback.Tax = "true" and ApplyTax Then
						If GetAppVar("PricesIncTax") = "y" then ShippingPriceTaxAmount = SafeRound((numShippingPriceValue * (1 / (1 + ShippingPriceTaxRate))) * ShippingPriceTaxRate,2) else ShippingPriceTaxAmount = SafeRound(numShippingPriceValue * ShippingPriceTaxRate,2)
						MyResult.TotalTax = BasketTotalTaxAmount + ShippingPriceTaxAmount + OrderHandlingPriceTaxAmount
					else
						MyResult.TotalTax = 0
					End If

					' Add this <result> to <merchant-calculation-results>
					MyMerCalcResults.AddResult MyResult
					Set MyResult = Nothing
				Next

			' No merchant-calculated-shipping methods
			Else

				Set MyResult = New Result
				MyResult.Shippable = True
				MyResult.AddressId = AnonymousAddress.ID

				' Add this <result> to <merchant-calculation-results>
				MyMerCalcResults.AddResult MyResult
				Set MyResult = Nothing
			End If
		Next
		

		' Respond to Google with <merchant-calculation-results>
		Dim MyMerCalcResultsXml
		MyMerCalcResultsXml = MyMerCalcResults.GetXml
		Response.Write MyMerCalcResultsXml
		
		Set GoogleCallback = Nothing
		Set MyMerCalcResults = Nothing
	
	Case "new-order-notification"
		
		Dim CactuOrder
		Set CactuOrder = New NewOrderNotification
		CactuOrder.ParseNotification ResponseXml
		
		if CactuOrder.MerCalcSuccessful = "true" then

			If CactuOrder.ShippingName <> GetString("ContentText_ShippingPickup") then numShipMethod = GetShippingMethodID(CactuOrder.ShippingName) else numShipMethod = -1
			
			If CactuOrder.MarketingEmailAllowed then strMailingList = "y" else strMailingList = "n"


			If IsObject(CactuOrder.MerchantPrivateData) Then
				Dim CactuData
				Set CactuData = CactuOrder.MerchantPrivateData
				
				'strXML = strXML & "<basket-totaltaxamount>" & CDbl(objBasket.TotalTaxAmount) & "</basket-totaltaxamount>" & VbCrLf
				'strXML = strXML & "<basket-promotiontotalextax>" & CDbl(numPromotionsExtax) & "</basket-promotiontotalextax>" & VbCrLf
				'strXML = strXML & "<basket-promotiontotalinctax>" & CDbl(numPromotionsInctax) & "</basket-promotiontotalinctax>" & VbCrLf
				'DoSomethingWith GetElementText(CactuData, "session-id")
				
				ShippingTotalWeight = NumSafe(GetElementText(CactuData, "shipping-weight"))
				numShippingExTax = GetElementText(CactuData, "shipping-totalextax")
				numShippingTaxAmount = GetElementText(CactuData, "shipping-totaltaxamount")
				CP_CouponCode = GetElementText(CactuData, "coupon-code")
				strBasket = GetElementText(CactuData, "basket-contents")
				strBuyerIPAddress = GetElementText(CactuData, "buyer-ipaddress")
				
				Set CactuData = Nothing
			End If
			objCactuSession.Edit "CP_CouponCode", CP_CouponCode
			%><!--#include file="includes/buildpage.asp"--><%
			'Create basket
			If strCallbackError = "" then
			
				'Create order basket
				aryBasket = Split(strBasket, "-")
				If strBasket = "" then
					strCallbackError = "Basket contents for order is blank."
					
				ElseIf UBound(aryBasket) <> 3 then
					strCallbackError = "Basket details invalid (" & strBasket & ")"
					
				Else
					Set objBasket = New Basket	
					strItems = aryBasket(0)
					strQuantities = aryBasket(1)
					strOptionGroups = aryBasket(2)
					strOptions = aryBasket(3)
					objBasket.Load strItems, strQuantities, strOptionGroups, strOptions
					objBasket.Validate objRecordSet, true
					If objBasket.Count = 0 then
						strCallbackError = "Basket is empty (" & strBasket & ")"
					else
						objBasket.CalculateTotals
					End If
				End If
			End If

			strPaymentSystem = "google"
			GOOGLE_BUYER_ID = CactuOrder.BuyerId
			
			Dim BillingAddress
			Set BillingAddress = CactuOrder.BuyerBillingAddress
			
			C_EmailAddress = BillingAddress.Email

			'Check to see if email address exists - if it does then get the C_ID
			strQuery = "SELECT C_ID FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE C_EmailAddress='" & SQLSafe(C_EmailAddress) & "'"
			Call ExecuteRS(strQuery, objRecordSet)
			If not (objRecordSet.BOF and objRecordSet.EOF) then
				C_ID = objRecordSet("C_ID")
			End if
			objRecordSet.close

			C_CardholderName = BillingAddress.ContactName
			C_CardholderCompany = BillingAddress.CompanyName
			C_CardholderStreetAddress = BillingAddress.Address1 & ", " & BillingAddress.Address2
			C_CardholderTownCity = BillingAddress.City
			C_CardholderCounty = BillingAddress.Region
			C_CardholderPostCode = BillingAddress.PostalCode
			C_CardHolderCountryISO = BillingAddress.CountryCode
			if C_CardholderCountryISO = "GB" then C_CardholderCountryISO = "UK"
			C_CardholderCountry = GetCountryID(C_CardholderCountryISO)
			C_Telephone = BillingAddress.Phone

			Set BillingAddress = Nothing
			
			Dim ShippingAddress
			Set ShippingAddress = CactuOrder.BuyerShippingAddress

			C_ShippingName = ShippingAddress.ContactName
			C_ShippingCompany = ShippingAddress.CompanyName
			C_ShippingStreetAddress = ShippingAddress.Address1 & ", " & ShippingAddress.Address2
			C_ShippingTownCity = ShippingAddress.City
			C_ShippingCounty = ShippingAddress.Region
			C_ShippingPostcode = ShippingAddress.PostalCode
			C_ShippingCountryISO = ShippingAddress.CountryCode
			if C_ShippingCountryISO = "GB" then C_ShippingCountryISO = "UK"
			C_ShippingCountry = GetCountryID(C_ShippingCountryISO)
						
			Set objPayment = New PaymentProcessor
			
			If objPayment.SetGateway(strPaymentSystem) Then
				'Lookup details of currency gateway uses
				strQuery2 = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Currencies WHERE CUR_ISOCode = '" & IIf(objPayment.ProcessCurrency = "", objCurrency.ISOCode, objPayment.ProcessCurrency) & "'"
				Call ExecuteRS(strQuery2, objRecordSet2)
				If objRecordSet2.BOF and objRecordSet2.EOF then
					objRecordSet2.close 
					Call EndPage()
					response.Redirect "error.asp?" & strSessionQS & "ID=badprocesscurrency&gateway=" & strGateway & "&currency=" & objPayment.ProcessCurrency 
				Else
					Set objPayment.GatewayCurrency = New CurrencyData
					objPayment.GatewayCurrency.Load(objRecordSet2)
					objRecordSet2.close	
					blnDifferentGatewayCurrency = (objCurrency.ID <> objPayment.GatewayCurrency.ID)
				End If
				
					'Skip shipping stuff if we've got errors, as it won't work without destination info.
					If strErrorMsg = "" then
						
						'Get country and ISO code for shipping country
						strShippingCountryName = GetCountryString(C_ShippingCountry, numLanguageID)
						strShippingCountryISO = GetCountryCode(C_ShippingCountry)

						'-----------------------------------------------
						'LOAD IN SHIPPING METHODS
						'We could have errors here
						'-----------------------------------------------	
						'Check shipping - there could be errors. 
						Set objShippingMethods = New ShippingMethods
						
						'Work out whether we are taxing the shipping to this destination
						strQuery = "SELECT D_Tax FROM tblCactuShop" & TABLE_PREFIX & "Destination WHERE D_ID = " & IIf(strAppTaxShippingBilling = "Shipping",C_ShippingCountry,C_CardHolderCountry)
						Call ExecuteRS(strQuery, objRecordSet)
						objBasket.ApplyTax = (objRecordSet("D_Tax") > 0)
						objRecordSet.Close

						'Look up tax rate, as this will be used in all setups			
						If Not objBasket.ApplyTax Then
							numTaxRate = 0  
						Else
							strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "TaxRates WHERE T_ID=" & NumSafe(GetAppVar("shiptaxband"))
							Call ExecuteRS(strQuery, objRecordSet)
							If objRecordSet.BOF and objRecordSet.EOF then
								objRecordSet.Close
								Call EndPage()
								response.Redirect("error.asp?" & strSessionQS & "ID=badshiptaxband")
							Else
								numTaxRate = objRecordSet("T_Taxrate") / 100
								objRecordSet.close
							end if
						End If
						
						'Check for pickup option
						blnDoingPickup = (GetAppVar("pickupoption") = "y" And strAppShippingSystem <> "none")

						'Depending on the shipping system, fill in the arrays
						if strAppShippingSystem = "ups" and objBasket.AllFreeShipping = false then
							'-----------------------------------------------
							'UPS SHIPPING
							'-----------------------------------------------
							'Create object and set UPS settings
							Set objShipping = new UPSShipping
							Call objShipping.Build(strShippingCountryISO, C_ShippingPostcode, objBasket.TotalWeight)
							objShipping.GetAllRates 
									
							'Deal with error responses
							If objShipping.Error = "unavailable" then 
								strErrorMsg = strErrorMsg & CreateError(GetString("ContentText_UPSUnavailable"))

							ElseIf objShipping.Error = "heavy" then
								strErrorMsg = strErrorMsg & CreateError(GetString("ContentText_UPSTooHeavy"))
							
							Else
								'Loop through all shipping methods
								For numCounter = 1 to objShipping.TotalShippingRates 
									with objShipping.ShippingRates(numCounter)

										'Grab the name of the shipping type from the database
										strQuery = "SELECT UPS_Name FROM tblCactuShop" & TABLE_PREFIX & "UPS WHERE UPS_Region = '" & SQLSafe(strAppUPSShopRegion) & "' AND UPS_Code = '" & SQLSafe(.ID) & "'"
										Call ExecuteRS(strQuery, objRecordSet)
										
										'If that ID exists in the database
										if not (objRecordSet.bof and objRecordSet.eof) then 

											'Create the shipping method record
											Call objShippingMethods.Add(.ID, objRecordSet("UPS_Name"))
																					
											'Description - Only if it's turned on in the config settings
											If GetAppVar("UPS_ShowDeliveryDays") = "y" and .Days <> "" then
												'build up a string based on the number the days and time variables
												blnUPSDaysShown = true
												If .Days = "1" then
													strDeliveryDay = GetString("ContentText_Tomorrow")
												else
													strDeliveryDay = GetWeekday(DateAdd("d", .Days, NowOffset), false)
												end if
												strDesc = GetString("ContentText_GuaranteedDelivery") & strDeliveryDay
												If .Time <> "" then strDesc = strDesc & ", " & .Time
												
												objShippingMethods.NewItem.Description = strDesc
												
											end if
											
											'Price is always ex tax 
											numShippingCost = .Cost * GetAppVar("UPS_CurrencyConversion")

											'Set price fields dependant on whether the value is inclusive of tax or exclusive
											If GetAppVar("pricesinctax") = "n" then
												'if shipping prices aren't set in tax, then we hold Ex tax and show tax rate %
												objShippingMethods.NewItem.Price1 = objCurrency.Display(numShippingCost, true, false)
												objShippingMethods.NewItem.Price2 = CStr(numTaxRate * 100) & "%"
												
											else
												'The value we hold is still the ex tax, but depending on tax display
												'we either show both ex and inc, or just inc
												If GetAppVar("showtaxdisplay") = "y" then
													'derive the ex tax
													objShippingMethods.NewItem.Price1 = objCurrency.Display(numShippingCost, true, false)
													objShippingMethods.NewItem.Price2 = objCurrency.Display(numShippingCost + SafeRound(numShippingCost * numTaxRate, 2), true, false)
												else
													'leave out the ex tax
													objShippingMethods.NewItem.Price1 = ""
													objShippingMethods.NewItem.Price2 = objCurrency.Display(numShippingCost + SafeRound(numShippingCost * numTaxRate, 2), true, false)
												end if								
											end if								
										end if '// whether we having that ID in the database
										objRecordSet.close
										
									End With
								Next	
							End If '// whether UPS was a success of failure
																
							'Kill off ups object
							Set objShipping = nothing
							
									
						ElseIf strAppShippingSystem <> "none" and objBasket.AllFreeShipping = false then 
							
							'-----------------------------------------------
							'CACTUSHOP INTEGRATED SHIPPING
							'Skipping the 'no shipping' method
							'-----------------------------------------------
							if GetAppVar("calcshipcostbyweight") = "y" then
								numPriceWeightLookupValue = CDbl(objBasket.ShippingTotalWeight)
							else
								If GetAppVar("pricesinctax") = "y" then
									numPriceWeightLookupValue = CDbl(objBasket.ShippingTotalIncTax / objCurrency.ExchangeRate)
								Else
									numPriceWeightLookupValue = CDbl(objBasket.ShippingTotalExTax / objCurrency.ExchangeRate)
								End if
							end if
							
							'Produce the shipping methods dropdown
							strQuery = "SELECT S_ShippingRate, SM_ID, SM_Name" & CInt(numLanguageID) & ", SM_Description" & CInt(numLanguageID) & " FROM (tblCactuShop" & TABLE_PREFIX & "Destination INNER JOIN tblCactuShop" & TABLE_PREFIX & "ShippingRates ON tblCactuShop" & TABLE_PREFIX & "Destination.D_ShippingZoneID = tblCactuShop" & TABLE_PREFIX & "ShippingRates.S_ShippingZoneID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "ShippingMethods ON tblCactuShop" & TABLE_PREFIX & "ShippingMethods.SM_ID = tblCactuShop" & TABLE_PREFIX & "ShippingRates.S_ShippingMethodID WHERE SM_Live = 'y' AND S_Boundary>=" & numPriceWeightLookupValue & " AND D_ID = " & C_ShippingCountry & " ORDER BY SM_OrderByValue ASC, SM_ID ASC, S_Boundary ASC"
							Call ExecuteRS(strQuery, objRecordSet)
							numCounter = 0
									
							Do While Not objRecordSet.EOF
								
								'Only add it if it's a different shipping method to the last
								If numThisSM_ID <> objRecordSet("SM_ID") then 
									
									'Add on a new item to the array
									Call objShippingMethods.Add(objRecordSet("SM_ID"), objRecordSet("SM_Name" & CInt(numLanguageID)))
									objShippingMethods.NewItem.Description = objRecordSet("SM_Description" & CInt(numLanguageID))

									'Get the shipping rate
									numShippingCost = objRecordSet("S_ShippingRate")
									
									'Set price fields dependant on whether the value is inclusive of tax or exclusive
									If GetAppVar("pricesinctax") = "n" then
										'if shipping prices aren't set in tax, then we hold Ex tax and show tax rate %
										objShippingMethods.NewItem.Price1 = objCurrency.Display(numShippingCost, true, false)
										objShippingMethods.NewItem.Price2 = CStr(numTaxRate * 100) & "%"
										
									else
										'The value we hold is inc tax
										If GetAppVar("showtaxdisplay") = "y" then
											'derive the ex tax. We use the numTaxRate because, even if there's no tax
											'in this country, we still need to reduce it by the shipping tax level
											numShippingPriceExTax = SafeRound(numShippingCost * (1/(1 + numTaxRate)),2)
											objShippingMethods.NewItem.Price1 = objCurrency.Display(numShippingPriceExTax, true, false)
											
											If Not objBasket.ApplyTax then
												'Inc tax is the same as ex tax
												objShippingMethods.NewItem.Price2 = objShippingMethods.NewItem.Price1
											else
												'Inc tax is the original shipping cost
												objShippingMethods.NewItem.Price2 = objCurrency.Display(numShippingCost, true, false)
											end if
										else
											'Only show the final price. If the country is tax free then we should
											'display the Ex tax (so we need to reduce the shipping rate), otherwise 
											'it's the inc tax (which is the current value). 
											objShippingMethods.NewItem.Price1 = ""
											If Not objBasket.ApplyTax then
												'Inc tax is the ex tax (calculate list above)
												objShippingMethods.NewItem.Price2 = objCurrency.Display(SafeRound(numShippingCost * (1/(1 + numTaxRate)),2), true, false)
											else
												'Inc tax is the original shipping cost
												objShippingMethods.NewItem.Price2 = objCurrency.Display(numShippingCost, true, false)
											end if
										end if						
									end if '// prices in or ex tax
								End if '// if we're in a new shipping method or not
								numThisSM_ID = objShippingMethods.NewItem.ID
								objRecordSet.MoveNext
							Loop '// shipping rates loop
							objRecordSet.Close
						end if '// CactuShop Integrated shipping or UPS 			

						'Add on pickup method to the end if required 
						If blnDoingPickup then 
							Call objShippingMethods.Add(-1, GetString("ContentText_ShippingPickup"))
							With objShippingMethods.NewItem
								.Description = GetString("ContentText_ShippingPickupDesc")						
								.Price1 = "-"
								.Price2 = "-"
							End With
						End If 
						
						'Check results
						If strAppShippingSystem = "none" then
							'If there's no shipping system, go to the next step
							If numStep = 2 then blnSkipShipIfNoEUVAT = true
							
						ElseIf objBasket.AllFreeShipping then
							'All items are free shipping - move to the next step if required
							If strAppShowShippingMethods = "neveronone" or strAppShowShippingMethods = "never" Then
								If numStep = 2 then blnSkipShipIfNoEUVAT = true		
							End If
						
						ElseIf objShippingMethods.Count = 0 then
							'Otherwise, with no shipping methods, throw generic error. Skip this
							'if an error has already been created (such as by the shipping module)
							If strErrorMsg = "" then
								strErrorMsg = strErrorMsg & CreateError(IIf(strAppCalcShipCostByWeight = "y", GetString("ContentText_NoShippingMethodsAvailableWeight"), GetString("ContentText_NoShippingMethodsAvailableValue")))
							End If
								
						ElseIf objShippingMethods.Count = 1 then
							'If we only have one, we can optionally move to the next step
							If strAppShowShippingMethods = "neveronone" or (strAppShowShippingMethods = "showspecial" and not blnDoingPickup and not objBasket.AllFreeShipping) Then
								If numStep = 2 then 
									numShipMethod = objShippingMethods.Item(0).ID
									blnSkipShipIfNoEUVAT = true			
								end if
							End If
							
						ElseIf strAppShowShippingMethods = "never" and strAppShowShippingMethodsDropdown = "y" then
							'Skip if we never do this one. The dropdown must be turned on.
							'Auto-set the shipping to first item
							If numStep = 2 then 
								numShipMethod = objShippingMethods.Item(0).ID
								blnSkipShipIfNoEUVAT = true
							end if
						
						End If	
						
											
					end if '// got errors before doing shipping calcs
				
				Call objBasket.CalculateCheckoutTotals(objRecordSet, objRecordSet2, numShipMethod, C_ShippingCountry, C_ShippingPostcode, C_ShippingCountryISO, C_CardholderEUVatNum <> "", CP_DiscountType, CP_DiscountValue, DB_C_CustomerDiscount)
			End If
			
			Set ShippingAddress = Nothing
			
			
			O_SendOrderUpdateEmail = ListSafe(request.Form("O_SendOrderUpdateEmail"), "y,n", "n")
			O_PurchaseOrderNo = request.form("O_PurchaseOrderNo")
			O_SaveBasket = ListSafe(request.Form("O_SaveBasket"), "y,n", "n")
			strReadTerms = ListSafe(request.Form("strReadTerms"), "y,n", "n")
			
		 

			'Process basket
			If strCallbackError = "" then
				'Update stock and log sale
				For i = 0 to objBasket.Count - 1
					With objBasket.Item(i)
						strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Versions SET V_Quantity = V_Quantity - " & .Quantity & " WHERE V_QuantityWarnLevel <> 0 AND V_ID=" & .VersionID
						Call ExecuteNonQuery(strQuery)
						LogSale .VersionID, .Quantity
					End With
				Next
			End If
				
			'---------------------------------------------
			'CREATE WISHLIST BASKET
			'If logged in as public
			'---------------------------------------------
			WL_ID = 0
			strWishListEmail = objCactuSession.Value("strWishListEmail")
			strWishListPassword = objCactuSession.Value("WL_Password")
			If strWishListEmail <> "" and strWishListPassword <> "" Then
				strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "WishList INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers ON tblCactuShop" & TABLE_PREFIX & "WishList.WL_CustomerID = tblCactuShop1Customers.C_ID WHERE C_EmailAddress='" & SQLSafe(strWishListEmail) & "' AND WL_PublicPassword = '" & SQLSafe(strWishListPassword) & "'"
				Call ExecuteRS(strQuery, objRecordSet)
				If Not (objRecordSet.BOF and objRecordSet.EOF) then
					'Check case sensitivity on password
					If objRecordSet("WL_PublicPassword") = strWishListPassword then
						'Load up the wishlist object
						WL_ID = objRecordSet("WL_ID")
						Set objWishlist = New Basket
						objWishlist.Load objRecordSet("WL_Items"), objRecordSet("WL_Quantity"), objRecordSet("WL_OptionGroups"), objRecordSet("WL_Options")
					End If
				End If
				objRecordSet.Close
			End If
			
			If C_ID > 0 then
		
				'Modify customer account
				strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Customers SET " &_
					"C_CardholderName=" & strUnicode & "'" & SQLSafe(C_CardholderName) & "'," &_
					"C_CardholderCompany=" & strUnicode & "'" & SQLSafe(C_CardholderCompany) & "'," &_
					"C_Card_Number='" & SQLSafe(GOOGLE_BUYER_ID) & "'," &_
					"C_Card_Type='" & SQLSafe(C_Card_Type) & "'," &_
					"C_Card_StartDate='" & SQLSafe(C_Card_StartDate) & "'," &_
					"C_Card_Expiry='" & SQLSafe(C_Card_Expiry) & "'," &_
					"C_Card_IssueNumber='" & SQLSafe(C_Card_IssueNumber) & "'," &_
					"C_Card_SecurityNumber='" & SQLSafe(C_Card_SecurityNumber) & "'," &_
					"C_CardholderStreetAddress=" & strUnicode & "'" & SQLSafe(C_CardholderStreetAddress) & "'," &_
					"C_CardholderTownCity=" & strUnicode & "'" & SQLSafe(C_CardholderTownCity) & "'," &_
					"C_CardholderCounty=" & strUnicode & "'" & SQLSafe(C_CardholderCounty) & "'," &_
					"C_CardholderPostCode=" & strUnicode & "'" & SQLSafe(C_CardholderPostCode) & "'," &_
					"C_CardholderCountry=" & NumSafe(C_CardholderCountry) & "," &_
					"C_ShippingName=" & strUnicode & "'" & SQLSafe(C_ShippingName) & "'," &_
					"C_ShippingCompany=" & strUnicode & "'" & SQLSafe(C_ShippingCompany) & "'," &_
					"C_ShippingStreetAddress=" & strUnicode & "'" & SQLSafe(C_ShippingStreetAddress) & "'," &_
					"C_ShippingTownCity=" & strUnicode & "'" & SQLSafe(C_ShippingTownCity) & "'," &_
					"C_ShippingCounty=" & strUnicode & "'" & SQLSafe(C_ShippingCounty) & "'," &_
					"C_ShippingPostCode=" & strUnicode & "'" & SQLSafe(C_ShippingPostCode) & "'," &_
					"C_ShippingCountry=" & NumSafe(C_ShippingCountry) & "," &_
					"C_Telephone=" & strUnicode & "'" & SQLSafe(C_Telephone) & "'," &_
					"C_EmailAddress=" & strUnicode & "'" & SQLSafe(C_EmailAddress) & "'," &_
					"C_AffiliateID=" & NumSafe(C_AffiliateID) & ", " &_
					"C_LanguageID=" & NumSafe(numLanguageID) & ", " &_
					"C_CardholderEUVatNum='" & SQLSafe(C_CardholderEUVatNum) & "'" &_
					" WHERE C_ID=" & NumSafe(C_ID)
				Call ExecuteNonQuery(strQuery)		
			Else
				'Generate Random password for new Google Account
					numPasswordLength = strAppMinimumCustomerCodeSize
					If numPasswordLength = 0 then numPasswordLength = 8
					C_Password = GetRandomString(numPasswordLength)

				'Create account
				strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "Customers (C_CardholderName,C_CardholderCompany, C_Card_Number, C_Card_Type, C_Card_StartDate, C_Card_Expiry, C_Card_IssueNumber, C_Card_SecurityNumber, C_CardholderStreetAddress,C_CardholderTownCity,C_CardholderCounty,C_CardholderPostcode,C_CardholderCountry,C_ShippingName,C_ShippingCompany,C_ShippingStreetAddress,C_ShippingTownCity,C_ShippingCounty,C_ShippingPostcode,C_ShippingCountry,C_Telephone,C_EmailAddress,C_CustomerDiscount,C_AffiliateID,C_Password,C_Approved,C_CardholderEUVatNum,C_LanguageID) VALUES " &_
					"(" & strUnicode & "'" & SQLSafe(C_CardholderName) & "'," &_
					strUnicode & "'" & SQLSafe(C_CardholderCompany) & "'," &_
					"'" & SQLSafe(GOOGLE_BUYER_ID) & "'," &_
					"'" & SQLSafe(C_Card_Type) & "'," &_
					"'" & SQLSafe(C_Card_StartDate) & "'," &_
					"'" & SQLSafe(C_Card_Expiry) & "'," &_
					"'" & SQLSafe(C_Card_IssueNumber) & "'," &_
					"'" & SQLSafe(C_Card_SecurityNumber) & "'," &_
					strUnicode & "'" & SQLSafe(C_CardholderStreetAddress) & "'," &_
					strUnicode & "'" & SQLSafe(C_CardholderTownCity) & "'," &_
					strUnicode & "'" & SQLSafe(C_CardholderCounty) & "'," &_
					strUnicode & "'" & SQLSafe(C_CardholderPostCode) & "'," &_
					Numsafe(C_CardholderCountry) & "," &_
					strUnicode & "'" & SQLSafe(C_ShippingName) & "'," &_
					strUnicode & "'" & SQLSafe(C_ShippingCompany) & "'," &_
					strUnicode & "'" & SQLSafe(C_ShippingStreetAddress) & "'," &_
					strUnicode & "'" & SQLSafe(C_ShippingTownCity) & "'," &_
					strUnicode & "'" & SQLSafe(C_ShippingCounty) & "'," &_
					strUnicode & "'" & SQLSafe(C_ShippingPostCode) & "'," &_
					Numsafe(C_ShippingCountry) & "," &_
					"'" & SQLSafe(C_Telephone) & "'," &_
					"'" & SQLSafe(C_EmailAddress) & "'," &_
					"0," &_
					NumSafe(C_AffiliateID) & "," &_
					strUnicode & "'" & SQLSafe(C_Password) & "'," &_
					"'" & SQLSafe(C_Approved) & "'," &_
					strUnicode & "'" & SQLSafe(C_CardholderEUVatNum) & "'," &_
					NumSafe(numLanguageID) & ")"
				Call ExecuteNonQuery(strQuery)

				'Pull out the customer ID, allowing for database lag
				strQuery = LimitSQL("C_ID FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE C_Password='" & SQLSafe(C_Password) & "' AND C_EmailAddress='" & SQLSafe(C_EmailAddress) & "' ORDER BY C_ID DESC", 1, false)
				Do While C_ID = 0
					Call ExecuteRS(strQuery, objRecordSet)
					if not (objRecordSet.bof and objRecordSet.eof) then
						C_ID = objRecordSet("C_ID")
					end if
					objRecordSet.close
				loop

				'Send email with customer details - LS# 1547, 1548, 1549, 1550, 1551, 1552
				If GetAppVar("sendemailonnewaccount") = "y" then
					'Build up email text
					strSubject = GetString("Config_SubjectLine5")
					strEmailText = GetString("EmailText_CustomerSignedUpHeader") & vbcrlf & vbcrlf
					strEmailText = strEmailText & GetString("EmailText_EmailAddress") & C_EmailAddress & vbcrlf
					strEmailText = strEmailText & GetString("EmailText_CustomerCode") & C_Password & vbcrlf & vbcrlf
					strEmailText = strEmailText & GetString("EmailText_CustomerSignedUpFooter1") & GetAppVar("webshopURL") & "customer_account.asp" & GetString("EmailText_CustomerSignedUpFooter2")
					strEmailText = Replace(Replace(strEmailText, "<br>", vbcrlf), "<br />", vbcrlf)
					
					'Send the email
					Call SendEMail(GetAppVar("emailmethod"), GetAppVar("mailserver"), C_EmailAddress, "", "", strEmailFrom, strEmailFrom, strEmailFrom, strEmailFrom, strSubject, strEmailText, "", false)
				end if		
				
			end if
			
			'---------------------------------------------
			'CREATE ORDER RECORD
			'And associated invoice rows
			'---------------------------------------------
			
			'Look up affiliate percentage from the cookie, as this
			'is stored in the order record
			C_AffiliateCommission = 0
			If C_AffiliateID > 0 then
				strQuery = "SELECT C_AffiliateCommission FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE C_ID=" & C_AffiliateID
				Call ExecuteRS(strQuery, objRecordSet)
				If not (objRecordSet.BOF and objRecordSet.EOF) then
					C_AffiliateCommission = objRecordSet("C_AffiliateCommission")
				End if
				objRecordSet.close
			End if

			
			
			With objBasket
		    'Set order details depending on gateway type
			  O_Sent = "y"
				O_Status = objBasket.Items & "-" & objBasket.Quantities & "-" & objBasket.OptionGroups & "-" & objBasket.Options
		
		
				''// Check if google order number already exist
			    strQuery = LimitSQL(" O_ReferenceCode,O_ID from tblCactuShop" & TABLE_PREFIX & "Orders where O_ReferenceCode='" & NumSafe(CactuOrder.GoogleOrderNumber) & "'", 1, false)
				Call ExecuteRS(strQuery, objRecordSet)
				if objRecordSet.eof then
					blnFound=false
					datDateNow = NowOffset
					O_ID = ""
				else
					blnFound=true
					O_ID=objRecordSet("O_ID")
				end if
				objRecordSet.close
			
        if blnFound=false then
          'Insert in to record
          strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "Orders (O_Date, O_ShippingPrice, O_ShippingTax, O_DiscountPercentage, O_AffiliatePercentage, O_TotalPrice, O_PurchaseOrderNo, O_CustomerID, O_Sent, O_WishListID, O_Status, O_LastModified, O_CouponCode, O_CouponDiscountTotal, O_PricesIncTax, O_TaxDue, O_PaymentGateWay, O_LanguageID, O_CurrencyID, O_TotalPriceGateway, O_CurrencyIDGateway, O_AffiliateTotalPrice, O_SendOrderUpdateEmail, O_Invoiced, O_Shipped, O_Paid, O_OrderHandlingCharge, O_OrderHandlingChargeTax, O_AffiliatePaymentID, O_CurrencyRate, O_ShippingMethod, O_ShippingMethodDesc, O_PromotionDiscountTotal) VALUES (" &_
            strDateDelimiter & ReverseDate(datDateNow) & strDateDelimiter & "," &_
            .ShippingPrice.ExTax & "," &_
            .ShippingPrice.TaxAmount & "," &_
            .CustomerDiscountPercentage & "," &_
            NumSafe(C_AffiliateCommission) & "," &_
            CactuOrder.OrderTotal & "," & strUnicode & "'" &_
            SQLSafe(O_PurchaseOrderNo) & "'," &_
            C_ID & ",'" &_
            SQLSafe(O_Sent) & "'," &_
            WL_ID & "," & strUnicode & "'" &_
            SQLSafe(O_Status) & "'," &_
            strDateDelimiter & ReverseDate(datDateNow) & strDateDelimiter & "," & strUnicode & "'" &_
            SQLSafe(CP_CouponCode) & "'," &_
            objBasket.CouponDiscount.IncTax & ",'" &_
            SQLSafe(strAppPricesIncTax) & "'," &_
            IIf(objBasket.ApplyTax, 1, 0) & "," & strUnicode & "'" &_
            SQLSafe(strPaymentSystem) & "'," &_
            numLanguageID & "," &_
            objCurrency.ID & "," &_

            CactuOrder.OrderTotal & "," &_
            objPayment.GatewayCurrency.ID & "," &_
            objBasket.TotalValueToAffiliate & ",'" &_
            SQLSafe(O_SendOrderUpdateEmail) & "'," &_
            "'n','n','n'," &_
            .OrderHandlingPrice.ExTax & "," &_
            .OrderHandlingPrice.TaxAmount & "," &_
            "0," &_
            objPayment.GatewayCurrency.ExchangeRate & "," & strUnicode & "" & strUnicode & "'" &_
            SQLSafe(objBasket.ShippingName) & "'," & strUnicode & "'" &_
            SQLSafe(objBasket.ShippingDescription) & "', " &_
            NumSafe(objBasket.PromotionDiscount.IncTax) & ")"
            '.FinalPriceIncTax
            'objBasket.FinalGatewayPriceIncTax

			     Call ExecuteNonQuery(strQuery)
		    
        end if ''// insert record only if not exist
		
    End With
	  	
			'Pull out the order number, allowing for database lag
			''O_ID = ""
			strQuery = LimitSQL("* FROM tblCactuShop" & TABLE_PREFIX & "Orders WHERE O_TotalPrice=" & CactuOrder.OrderTotal & " AND O_Date=" & strDateDelimiter & ReverseDate(datDateNow) & strDateDelimiter & " ORDER BY O_ID DESC", 1, false)
			Do While O_ID = ""
				Call ExecuteRS(strQuery, objRecordSet)
				if not (objRecordSet.bof and objRecordSet.eof) then
					O_ID = objRecordSet("O_ID")
				end if
				objRecordSet.close
			loop

			'Create invoice records
			For i = 0 to objBasket.Count - 1
				With objBasket.Item(i)
					strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "InvoiceRows (IR_OrderNumberID, IR_VersionCode, IR_VersionName, IR_Quantity, IR_PricePerItem, IR_TaxPerItem, IR_OptionsText) VALUES " &_
						"(" & O_ID & "," &_
						strUnicode & "'" & SQLSafe(.CodeNumber) & "'," & strUnicode &_
						"'" & SQLSafe(.ProductName) & " - " & SQLSafe(.VersionName) & "'," &_
						NumSafe(.Quantity) & "," &_
						NumSafe(.IR_PricePerItem) & "," &_
						NumSafe(.IR_TaxPerItem) & "," & strUnicode &_
						"'" & SQLSafe(.OptionText("db")) & "')"
				End With
				Call ExecuteNonQuery(strQuery)
			Next	
			
			'---------------------------------------------
			'ORDER EMAIL
			'Build email text and send if required
			'---------------------------------------------
			strAttachmentName = ""
				
			'Text for each basket item
			For i = 0 to objBasket.Count - 1
				With objBasket.Item(i)
					strBodyText = strBodyText & GetItemEmailText(.Quantity & " x " & .ProductName, .VersionName & " (" & .CodeNumber & ")" & IIf(.HasOptions, vbcrlf & " " & .OptionText("mail"), ""), .ExTax, .IncTax, .TaxAmount, .TaxRate)
				End With
			Next
			
			'Promotion Discount
			If objBasket.PromotionsCount > 0 then
				For i = 1 to objBasket.PromotionsCount
					With objBasket.Promotions(i)
						If .Quantity > 0 then
							strPromotionDescription = strPromotionDescription & .Name & vbcrlf
							strBodyText = strBodyText & GetItemEmailText(.Quantity & " x " & .Name, "", .TotalExTax, .TotalIncTax, .TotalTaxAmount, .TaxRate)
						End If
					End With
				Next
			End If
								
			'Coupon discount
			If objBasket.CouponDiscount.IncTax < 0 then
				strBodyText = strBodyText & GetBasketModifierEmailText(objBasket.CouponDiscount, GetString("ContentText_CouponDiscount"), strCouponName)
			End If	
			
			'Customer discount
			If objBasket.CustomerDiscount.IncTax < 0 then
				strBodyText = strBodyText & GetBasketModifierEmailText(objBasket.CustomerDiscount, GetString("ContentText_Discount"), "")
			End if
			
			'Shipping - get description
			If not objBasket.ShippingDisabled then
				if objBasket.ShippingPickup or objBasket.FreeShipping then
					strShippingEmailDescription = objBasket.ShippingName
					
				ElseIf objBasket.ShippingCactus then
					strShippingEmailDescription = objBasket.ShippingName & " - " & strShippingCountryName
					
				elseif objBasket.ShippingUPS then
					strShippingEmailDescription = objBasket.ShippingDescription & " - " & strShippingCountryName
				end if
			
				strBodyText = strBodyText & GetBasketModifierEmailText(objBasket.ShippingPrice, GetString("ContentText_Shipping"), strShippingEmailDescription)
			end if
			
			'Order handling charge
			If objBasket.OrderHandlingPrice.ExTax > 0 then
				strBodyText = strBodyText & GetBasketModifierEmailText(objBasket.OrderHandlingPrice, GetString("ContentText_OrderHandlingCharge"), "")
			end if
			strBodyText = strBodyText & GetString("EmailText_OrderEmailBreaker")
			
			'Order totals
			If strAppPricesIncTax = "n" or strAppShowTaxDisplay = "y" then
				strBodyText = strBodyText & " " & GetString("ContentText_OrderValue") & " = " & objCurrency.Display(CactuOrder.OrderTotal - CactuOrder.TaxTotal, false, true) & vbcrlf
				strBodyText = strBodyText & " " & GetString("ContentText_Tax") & " = " & objCurrency.Display(CactuOrder.TaxTotal, false, true) & vbcrlf
			End if
			
			strBodyText = strBodyText & " " & GetString("ContentText_TotalInclusive") & " = " & objCurrency.Display(CactuOrder.OrderTotal, false, true) & vbcrlf
			strBodyText = strBodyText & " (" & objCurrency.ISOCode & " = " & objCurrency.Name & ")" & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_OrderEmailBreaker")
			
			
			If blnDifferentGatewayCurrency then
				strBodyText = strBodyText & " " & GetString("EmailText_ProcessCurrencyExp1") & vbcrlf
				strBodyText = strBodyText & " " & GetString("ContentText_TotalInclusive") & " = " & objPayment.GatewayCurrency.Display(objBasket.FinalGatewayPriceIncTax, false, true) & vbcrlf
				strBodyText = strBodyText & " (" & objPayment.GatewayCurrency.ISOCode & " = " & objPayment.GatewayCurrency.Name & ")" & vbcrlf
				strBodyText = strBodyText & GetString("EmailText_OrderEmailBreaker") & vbcrlf
			End If

			'Total Saved
			If objBasket.TotalAmountSaved > 0 and GetAppVar("orderemailshowtotalsaved") = "y" then
				strBodyText = strBodyText & " " & GetString("EmailText_TotalSaved1") & objCurrency.Display(objBasket.TotalAmountSaved, false, true) & GetString("EmailText_TotalSaved2") & vbcrlf
				strBodyText = strBodyText & GetString("EmailText_OrderEmailBreaker")
			End If

			'Customer billing information
			strBodyText = strBodyText & vbcrlf
			strBodyText = strBodyText & " " & GetString("EmailText_PurchaseContactDetails") & vbcrlf &_
										" " & GetString("FormLabel_CardHolderName") & ": " & C_CardholderName & vbcrlf &_
										" " & GetString("EmailText_Company") & ": " & C_CardholderCompany & vbcrlf &_
										" " & GetString("FormLabel_CardholderEUVatNum") & ": " & C_CardholderEUVatNum & vbcrlf &_
										" " & GetString("FormLabel_EmailAddress") & ": " & C_EmailAddress & vbcrlf &_
										" " & GetString("FormLabel_Telephone") & ": " & C_Telephone & vbcrlf & vbcrlf &_
										" " & GetString("EmailText_Address") & ":" & vbcrlf &_
										" " & C_CardholderStreetAddress & vbcrlf &_
										" " & C_CardholderTownCity & vbcrlf &_
										" " & C_CardholderCounty & vbcrlf &_
										" " & C_CardholderPostcode & vbcrlf &_
										" " & GetCountryString(C_CardholderCountry, numLanguageID) & vbcrlf & vbcrlf

			'Credit card details - this tag will be replaced later
			strBodyText = strBodyText & " " & GetString("FormLabel_PONumber") & ": " & O_PurchaseOrderNo & vbcrlf & vbcrlf
			strBodyText = strBodyText & CARD_PLACEHOLDER
			strBodyText = strBodyText & GetString("EmailText_OrderEmailBreaker") & vbcrlf

			'Shipping info
			strBodyText = strBodyText & " " & GetString("EmailText_ShippingDetails") & vbcrlf &_
										" " & C_ShippingName & vbcrlf &_
										" " & C_ShippingCompany & vbcrlf &_
										" " & C_ShippingStreetAddress & vbcrlf &_
										" " & C_ShippingTownCity & vbcrlf &_
										" " & C_ShippingCounty & vbcrlf &_
										" " & C_ShippingPostcode & vbcrlf &_
										" " & GetCountryString(C_ShippingCountry, numLanguageID) & vbcrlf & vbcrlf &_
										GetString("EmailText_OrderEmailBreaker") & vbcrlf

			'build up billing address and shipping address strings
			'these are stored as block text in orders table so we
			'have a permanent address record for invoice/delivery
			'note. Otherwise, if customer orders again immediately
			'with different delivery address, the first one in
			'customer table is overwritten and both invoices issued
			'later would have same (more recent) shipping address.

			'billing address
			strBillingAddressText = C_CardholderName & vbcrlf &_
						C_CardholderCompany & vbcrlf &_
						C_CardholderStreetAddress & vbcrlf &_
						C_CardholderTownCity & vbcrlf &_
						C_CardholderCounty & vbcrlf &_
						C_CardholderPostcode & vbcrlf &_
						GetCountryString(C_CardholderCountry, numLanguageID)

			strBillingAddressText = replace(strBillingAddressText, vbcrlf & vbcrlf, vbcrlf)

			'shipping address
			strShippingAddressText = C_ShippingName & vbcrlf &_
						C_ShippingCompany & vbcrlf &_
						C_ShippingStreetAddress & vbcrlf &_
						C_ShippingTownCity & vbcrlf &_
						C_ShippingCounty & vbcrlf &_
						C_ShippingPostcode & vbcrlf &_
						GetCountryString(C_ShippingCountry, numLanguageID)

			strShippingAddressText = replace(strShippingAddressText, vbcrlf & vbcrlf, vbcrlf)


			'Comments and additional info
			If strCustomerComments <> "" then 
				strBodyText = strBodyText & " " & GetString("EmailText_Comments") & ": " & vbcrlf & vbcrlf
				strBodyText = strBodyText & " " & strCustomerComments & vbcrlf & vbcrlf
			end if
			strBodyText = strBodyText & " " & GetString("EmailText_OrderTime2") & ": " & FormatDate(NowOffset(), strDateAndTimeFormat) & vbcrlf
			strBodyText = strBodyText & " " & GetString("EmailText_IPAddress") & ": " & strBuyerIPAddress
			
			'EMAIL TO CUSTOMER
			If GetAppVar("ordertracking") = "y" then
				'Add order tracking information at the top
				strCustomerEmailText = GetString("EmailText_OrderLookup") & vbcrlf & vbcrlf & GetAppVar("webshopURL") & "customer_account.asp" & vbcrlf & vbcrlf & strBodyText
			Else
				strCustomerEmailText = strBodyText
			End if	
			
			'Add in email header above that
			strCustomerEmailText = GetString("EmailText_OrderReceived") & vbcrlf & vbcrlf &_
							GetString("ContentText_OrderNumber") & ": " & O_ID & vbcrlf &_
							GetString("ContentText_CustomerCode") & ": " & C_Password & vbcrlf & vbcrlf &_
							strCustomerEmailText


			'Header for store email
			strStoreEmailText = GetString("EmailText_StoreEmailHeader") & vbcrlf & vbcrlf &_
							GetString("ContentText_OrderNumber") & ": " & O_ID & vbcrlf &_
							strBodyText

			'Remove card details if required or replace with removal text if required
			if objPayment.RemoteProcessor then
				strDatabaseText = Replace(strBodyText, CARD_PLACEHOLDER, "")
				strStoreEmailText = Replace(strStoreEmailText, CARD_PLACEHOLDER, "")
			End if
			
			'CC details should never be in the custoemr email
			strCustomerEmailText = Replace(strCustomerEmailText, CARD_PLACEHOLDER, "")
			
			'Save order to database
			strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Orders SET O_Details=" & strUnicode & "'" & SQLSafe(strDatabaseText) & "', O_BillingAddress=" & strUnicode & "'" & SQLSafe(strBillingAddressText) & "', O_ShippingAddress=" & strUnicode & "'" & SQLSafe(strShippingAddressText) & "', O_PromotionDescription=" & strUnicode & "'" & SQLSafe(strPromotionDescription) & "' WHERE O_ID=" & O_ID
			Call ExecuteNonQuery(strQuery)

			'---------------------------------------------
			'CREATE SAVED BASKET
			'---------------------------------------------
			If O_SaveBasket = "y" then
				strBaseName = GetString("ContentText_SavedOrder")
				
				'Loop until we get a free name we can use
				numLoop = 0
				Do
					numLoop = numLoop + 1
					If numLoop > 1 then
						objRecordSet.Close
						BSKT_Name = strBaseName & " (" & numLoop & ")"
					Else
						BSKT_Name = strBaseName
					end if
					strQuery = "SELECT BSKT_ID FROM tblCactuShop" & TABLE_PREFIX & "SaveBasket WHERE BSKT_Name = " & strUnicode & "'" & SQLSafe(BSKT_Name) & "' AND BSKT_CustomerID = " & C_ID
					Call ExecuteRS(strQuery, objRecordSet)
				Loop Until objRecordSet.BOF and objRecordSet.EOF
				objRecordSet.Close
				
				'Insert record
				strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "SaveBasket (BSKT_CustomerID, BSKT_Name, BSKT_Items, BSKT_Quantity, BSKT_OptionGroups, BSKT_Options, BSKT_DateTime) VALUES (" &_
					C_ID & "," &_
					strUnicode & "'" & SQLSafe(BSKT_Name) & "'," &_
					"'" & SQLSafe(objBasket.Items) & "'," &_
					"'" & SQLSafe(objBasket.Quantities) & "'," &_
					"'" & SQLSafe(objBasket.OptionGroups) & "'," &_
					"'" & SQLSafe(objBasket.Options) & "'," &_
					strDateDelimiter & ReverseDate(NowOffset()) & strDateDelimiter & ")"
				
				Call ExecuteNonQuery(strQuery)
			End If	
			
			'---------------------------------------------
			'ADD TO MAILING LIST
			'---------------------------------------------
			If strMailingList = "y" then
				If AddToMailingList(C_EmailAddress, strMailingListHTML = "y", objRecordSet) = "" then
					strMailingListResponse = "y"
				Else
					strMailingListResponse = "n"
				End If
			End If
			
			strTransactionError = ""
			
			'Process wishlist
			If WL_ID > 0 then
				strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "WishList INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers ON tblCactuShop" & TABLE_PREFIX & "WishList.WL_CustomerID = tblCactuShop1Customers.C_ID WHERE WL_ID=" & WL_ID
				Call ExecuteRS(strQuery, objRecordSet)
				If Not (objRecordSet.BOF and objRecordSet.EOF) then
					'Load up the wishlist object
					Set objWishlist = New Basket
					objWishlist.Load objRecordSet("WL_Items"), objRecordSet("WL_Quantity"), objRecordSet("WL_OptionGroups"), objRecordSet("WL_Options")
					
					'Process wishlist and reduce if required
					blnMadeWishlistChange = false
					With objWishlist
						For i = 0 to objWishlist.Count - 1
							With .Item(i)
								'If it exist in the basket, decrease wishlist by quantity in the basket
								If objBasket.Exists(.m_versionID, .OptionsList) then
									.DecreaseQuantity(objBasket.Version(.VersionID, .OptionsList).Quantity)
									blnMadeWishlistChange = true
								End If
							End With
						Next
					
						'Reset the wishlist if changes have been made
						If blnMadeWishlistChange then
							.Clean
							strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "WishList SET " &_
									"WL_Items='" & SQLSafe(.Items) & "', " &_
									"WL_Quantity='" & SQLSafe(.Quantities) & "', " &_
									"WL_OptionGroups='" & SQLSafe(.OptionGroups) & "', " &_
									"WL_Options='" & SQLSafe(.Options) & "' " &_
									"WHERE WL_ID=" & SQLSafe(WL_ID)
							Call ExecuteNonQuery(strQuery)
						End If
					End With				
					
				End If
				objRecordSet.Close
			End If
			
			'Reduce coupon
			If CP_CouponCode <> "" then
				strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Coupons SET CP_Used='y' WHERE CP_CouponCode='" & SQLSafe(CP_CouponCode) & "'"
				Call ExecuteRS(strQuery, objRecordSet)
			End if

			'Update order
			If strCallbackError = "" then
				O_Status = GetString("EmailText_OrderTime") & " " & NowOffset()
				''strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Orders SET " &_
				''	"O_ReferenceCode='" & NumSafe(CactuOrder.GoogleOrderNumber) & "', " &_
				''	"O_LastModified=" & strDateDelimiter & ReverseDate(NowOffset()) & strDateDelimiter & ", " &_
				''	"O_Sent='y', " &_
				''	"O_Invoiced='" & SQLSafe(GetAppVar("checkinvoicedonpayment")) & "', " &_
				''  "O_Paid='" & SQLSafe(GetAppVar("checkreceivedonpayment")) & "', " &_
				''  "O_Status='" & SQLSafe(O_Status) & "' " &_
				''	"WHERE O_ID=" & O_ID
				strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Orders SET " &_
					"O_ReferenceCode='" & NumSafe(CactuOrder.GoogleOrderNumber) & "', " &_
					"O_LastModified=" & strDateDelimiter & ReverseDate(NowOffset()) & strDateDelimiter & ", " &_
					"O_Sent='y', " &_
					"O_Invoiced='" & SQLSafe(GetAppVar("checkinvoicedonpayment")) & "', " &_
					"O_Status=" & strUnicode & "'" & SQLSafe(O_Status) & "' " &_
					"WHERE O_ID=" & O_ID
				Call ExecuteNonQuery(strQuery)
			end if


			'Send emails to customer and merchant
			If strCallbackError = "" then
			
				'EMAIL TO CUSTOMER
				If GetAppVar("ordertracking") = "y" then
					'Add order tracking information at the top
					strCustomerEmailText = GetString("EmailText_OrderLookup") & vbcrlf & vbcrlf & GetAppVar("webshopurl") & "customer_account.asp" & vbcrlf & vbcrlf & strBodyText
				End if	
				
				'Add in email header above that
				strCustomerEmailText = GetString("EmailText_OrderReceived") & vbcrlf & vbcrlf &_
									GetString("ContentText_OrderNumber") & ": " & O_ID & vbcrlf & vbcrlf &_
									strCustomerEmailText


				'EMAIL TO STORE OWNER
				strStoreEmailText = GetString("EmailText_StoreEmailHeader") & vbcrlf & vbcrlf &_
									GetString("ContentText_OrderNumber") & ": " & O_ID & vbcrlf & vbcrlf &_
									strBodyText
				if GetAppVar("saveInEmail") = "y" then
					'Remove the special CC tags
					strStoreEmailText = Replace(strStoreEmailText, CARD_PLACEHOLDER, strCardInfo)
				else
					strStoreEmailText = Replace(strStoreEmailText, CARD_PLACEHOLDER, "")
				end if

				'CLEAN CARD DETAILS FROM EMAIL TO CUSTOMER
				strCustomerEmailText = Replace(strCustomerEmailText, CARD_PLACEHOLDER, "")
				
				'Send email to customer
				If GetAppVar("emailcustomer") = "y" then
					Call SendEMail(GetAppVar("emailmethod"), GetAppVar("mailserver"), C_EmailAddress, "", "", strEmailFrom, strEmailFrom, strEmailFrom, strEmailFrom, GetString("Config_Subjectline"), strCustomerEmailText, "", false)
				End If
				
				'Send email to store owner
				If GetAppVar("emailmerchant") = "y" then
					Call SendEMail(GetAppVar("emailmethod"), GetAppVar("mailserver"), strEmailTo, "", "", strEmailFrom, strEmailFrom, strEmailFrom, strEmailFrom, GetString("Config_Subjectline2") & " #" & O_ID, strStoreEmailText, "", false)
				End If
			End If
		End if '//MERCHANT CALCULATION FAILED
	
	case "order-state-change-notification"
	
    Dim CactuOrderStateChange
    Set CactuOrderStateChange = New OrderStateChangeNotification
    CactuOrderStateChange.ParseNotification ResponseXml

    if ucase(CactuOrderStateChange.NewFinancialOrderState)="CHARGEABLE" then
      If strCallbackError = "" then
        strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Orders SET " &_
          "O_Paid='" & SQLSafe(GetAppVar("checkreceivedonpayment")) & "' " & _
          "WHERE O_ReferenceCode='" & NumSafe(CactuOrderStateChange.GoogleOrderNumber) & "'"
        Call ExecuteNonQuery(strQuery)
      end if
    end if
	 
	Case Else
End Select 
%>