<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "400, 516, 517, 518, 520, 521, 522, 523, 524, 525, 526, 527, 528, 529, 538, 539, 540, 541, 572, 573, 799, 865, 867, 869, 912, 913, 921, 922, 923, 924, 925, 926, 927, 928, 929, 930, 1179, 1457, 1603, 1604, 1842"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY PRODTYPE								
'This page brings up prodtypes for editing, or	
'produces a blank prodtype form for adding new	
'ones.										
'-----------------------------------------------

'-----------------------------------------------
'COLLECT VALUES FROM FORM						
'-----------------------------------------------
CAT_ID = NumSafe(Request.Querystring("CAT_ID"))

'-----------------------------------------------
'FUNCTION
'Recursive function to write out the categories
'and sub-categories in a trail
'-----------------------------------------------
Function DoCats(objCategoriesDictionary, objSubCategoriesDictionary, numMotherID, strTrail)

	'Ignore it if the category is the current category - we don't want them to put a category
	'inside itself, or inside one of it's children!
	If numMotherID & "" <> CAT_ID & "" then
		'Write out the trail
		response.write "<option "
		If Contains(numParentIDs, numMotherID) then response.write "selected=""selected"" "
		response.Write "value=""" & numMotherID & """>-&nbsp;" & strTrail & objCategoriesDictionary.Item(Clng(numMotherID)) & "</option>" & vbcrlf
		
		'If there are any sub categories for this category
		If objSubCategoriesDictionary.Exists(Clng(numMotherID)) then

			'Get all sub categories and loop through them
			arySubCategories = split(objSubCategoriesDictionary.Item(Clng(numMotherID)), ",")
			For each numSubCategory in arySubCategories

				If isnumeric(numSubCategory) then

					'Add the sub category to the end of the trail and call the function with the new sub-cat
					strTrailToPass = "&nbsp;&nbsp;&nbsp;&nbsp;" & strTrail
					DoCats objCategoriesDictionary, objSubCategoriesDictionary, numSubCategory, strTrailToPass
				end if
			Next
		end if
	end if
end Function
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top">

<%
'-----------------------------------------------
'RUN DATABASE QUERY								
'-----------------------------------------------
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Categories WHERE CAT_ID = " & CAT_ID
Call ExecuteRS(strQuery, objRecordSet)
numRecordCount = objRecordSet.RecordCount

'-----------------------------------------------
'If a product has been pulled out of the DB then
'set these variables to the field info that was	
'pulled out, otherwise this is a new product and
'the variables will be left blank.				
'-----------------------------------------------
'Need to run the HTMLencode function on some of	
'the variables to escape speechmarks that may	
'appear in text fields. If these aren't dealt	
'with like this then the text box text could be	
'truncated because the browser thinks the opened
'speechmarks have been closed.					
'-----------------------------------------------
'Hold the names and descriptions in arrays the
'size of the total languages
'-----------------------------------------------
Dim CAT_Name(), CAT_Desc()
Redim CAT_Name(numTotalLanguages)
Redim CAT_Desc(numTotalLanguages)

If numRecordCount > 0 Then
	CAT_ID = objRecordSet("CAT_ID")
	CAT_Live = objRecordSet("CAT_Live")
	CAT_ProductDisplayType = objRecordSet("CAT_ProductDisplayType")
	CAT_OrderByValue = objRecordSet("CAT_OrderByValue")
	CAT_OrderProductsBy = objRecordSet("CAT_OrderProductsBy")
	CAT_SubCatDisplayType = objRecordSet("CAT_SubCatDisplayType")
	CAT_CustomerGroupID = objRecordSet("CAT_CustomerGroupID")
	
	'Loop through all languages and get the names and descriptions
	numCount = 0
	For numCount = 1 to numTotalLanguages	
		If aryLangLiveBack(numCount) = "y" then
			CAT_Name(numCount) = WriteSafe(objRecordSet("CAT_Name" & CStr(numCount)))
			CAT_Desc(numCount) = WriteSafe(objRecordSet("CAT_Desc" & CStr(numCount)))
			If CAT_Name(numCount) <> "" then
				strFirstNonEmptyName = CAT_Name(numCount)
			end if
		end if
	Next
	If CAT_Name(numDefaultLanguage) <> "" then strFirstNonEmptyName = CAT_Name(numDefaultLanguage)
	
	'Pull out all parents
	strQuery = "SELECT CH_ParentID FROM tblCactuShop" & TABLE_PREFIX & "CategoryHierachy WHERE CH_ChildID = " & CAT_ID
	Call ExecuteRS(strQuery, objRecordSet2)
	If objRecordSet2.BOF and objRecordSet2.EOF then
		numParentIDs = 0
	Else
		Do While Not objRecordSet2.EOF
			numParentIDs = IIf(numParentIDs = "", objRecordSet2("CH_ParentID"), numParentIDs & "," & objRecordSet2("CH_ParentID"))
			objRecordSet2.MoveNext
		Loop
	End If
	objRecordSet2.Close	
	
	
Else
	CAT_ID = 0
	numParentIDs = NumSafe(Request.QueryString("numParentID"))
	numCount = 0
	
	'Set the product name in the default language to 'new'
	For numCount = 1 to numTotalLanguages
		If aryLangLiveBack(numCount) = "y" then
			If numCount = numDefaultLanguage then CAT_Name(numCount) = GetString("ContentText_New")
		end if
	next
	
	'Set the page title to 'new'
	strFirstNonEmptyName = GetString("ContentText_New")
End If
objRecordSet.Close

%>
		<form action="_update_prodtype.asp" method="POST" enctype="multipart/form-data">
			<%= objCactuSession.Form %>
			<input type="hidden" name="CAT_ID" value="<% =CAT_ID %>" />
			<input type="hidden" name="strCallMode" value="<% If CAT_ID = 0 Then Response.Write("Add") Else Response.Write("Modify") %>" />
			<table border="0" cellpadding="5" cellspacing="0" width="100%">
			<tr>
				<td colspan="2"><h1><% Response.Write(strFirstNonEmptyName & " ")  %> <% WriteString("PageTitle_ProdtypePage") %></h1></td>
			</tr>
			<tr>
				<td class="bold"><% WriteString("FormLabel_ShowOnSite") %></td>
				<td><input <% If CAT_Live = "y" Or CAT_Live = "" Then %>checked="checked" <% End If%>type="checkbox" name="CAT_Live" value="y" /></td>
			</tr><%
			If SOFTWARE_IS_PRO then
				Call DisplayBackendGroupLimiter("CAT_CustomerGroupID", CAT_CustomerGroupID)
			End If %>
			<tr>
				<td colspan="2"><hr /></td>
			</tr>						
			<tr>
				<td><% WriteString("FormLabel_ProductDisplayType") %></td>
				<td>
					<select name="CAT_ProductDisplayType" size="1">
						<option value="d" <% If CAT_ProductDisplayType = "d" Then response.write " selected=""selected""" %>><% WriteString("ContentText_DefaultProdDisplay") %></option>
						<option value="e" <% If CAT_ProductDisplayType = "e" Then response.write " selected=""selected""" %>><% WriteString("ContentText_ExtendedProdDisplay") %></option>
						<option value="n" <% If CAT_ProductDisplayType = "n" Then response.write " selected=""selected""" %>><% WriteString("ContentText_NormalProdDisplay") %></option>
						<option value="s" <% If CAT_ProductDisplayType = "s" Then response.write " selected=""selected""" %>><% WriteString("ContentText_ShortenedProdDisplay") %></option>
					</select>
				</td>
			</tr>
			<tr>
				<td><% WriteString("FormLabel_SubCatDisplayType") %></td>
				<td>
					<select name="CAT_SubCatDisplayType" size="1">
						<option value="d" <% If CAT_ProductDisplayType = "d" Then response.write " selected=""selected""" %>><% WriteString("ContentText_DefaultProdTypeDisplay") %></option>
						<option value="n" <% If CAT_SubCatDisplayType = "n" Then response.write " selected=""selected""" %>><% WriteString("ContentText_NormalProdTypeDisplay") %></option>
						<option value="e" <% If CAT_SubCatDisplayType = "e" Then response.write " selected=""selected""" %>><% WriteString("ContentText_ExtendedProdTypeDisplay") %></option>
						<option value="s" <% If CAT_SubCatDisplayType = "s" Then response.write " selected=""selected""" %>><% WriteString("ContentText_ShortenedProdTypeDisplay") %></option>
						<option value="l" <% If CAT_SubCatDisplayType = "l" Then response.write " selected=""selected""" %>><% WriteString("ContentText_LinkProdTypeDisplay") %></option>
					</select>
				</td>
			</tr>
			<tr>
				<td colspan="2"><hr /></td>
			</tr>			
			<tr>
				<td class="bold" valign="top"><% WriteString("ContentText_CategoryParent") %></td>
				<td>
				<% If GetAppVar("handlecategoryoverload") <> "on" then %>
					<select name="numParentIDs" size="8" multiple="multiple">
						<option value="0" <% if Contains(numParentIDs, 0) then response.Write " selected=""selected""" %>><% WriteString("ContentText_TopLevel") %></option>
						<% 
						'-------------------------------------------------------------
						' WRITE OUT CATEGORIES SELECT
						'-------------------------------------------------------------
						For numCounter = 1 to numTotalLanguages: strCatLangs = strCatLangs & ", c.CAT_Name" & CStr(numCounter): Next
						strQuery = "SELECT c.CAT_ID, p.CAT_ID As ParentID" & strCatLangs & " FROM (tblCactuShop" & TABLE_PREFIX & "Categories AS c LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "CategoryHierachy ch ON c.CAT_ID = ch.CH_ChildID) LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Categories p ON ch.CH_ParentID = p.CAT_ID ORDER BY c." & strCategoryOrderBy
						Call ExecuteRS(strQuery, objRecordSet)

						'Create dictionary objects that hold all the category information
						Set objCategoryDictionary = server.CreateObject("Scripting.Dictionary") 'Key - ID, Value - name of category
						Set objParentDictionary = server.CreateObject("Scripting.Dictionary") 'Key - Mother ID, Value - comma-seperated IDs
						
						'Loop for every prodtype pulled out
						Do Until objRecordSet.EOF
							'get repeated recordset values
							numChildID = objRecordSet("CAT_ID")
							numParentID = NumSafe(objRecordSet("ParentID"))

							'Find a product name that isn't blank, starting with the default ID
							strCategoryName = GetTranslation(objRecordSet, "CAT_Name")
							
							'add to the categories dictionary if it doesn't already exist
							If Not objCategoryDictionary.Exists(numChildID) Then
								objCategoryDictionary.Add numChildID, strCategoryName
							End If
							
							'add it to parent dictionary - if it already exists, add it on
							'to the end of the list. If not, create a new entry
							if objParentDictionary.Exists(numParentID) then
								objParentDictionary.Item(numParentID) = objParentDictionary.Item(numParentID) & numChildID & ","
							else
								objParentDictionary.Add numParentID, numChildID & ","
							end if

							objRecordSet.movenext
						Loop
						objRecordSet.Close
						
						aryTopLevels = Split(objParentDictionary.Item(0), ",")
						For Each strCat in aryTopLevels
							If strCat <> "" then
								DoCats objCategoryDictionary, objParentDictionary, Clng(strCat), "&nbsp;&nbsp;&nbsp;&nbsp;"
							end if
						next %>
					</select>
				<% else %>
					<input type="text" value="<% =numParentIDs %>" name="numParentIDs" size="20" />
				<% End if %></td>
				</td>
			</tr>

			<% numCount = 0
			For numCount = 1 to numTotalLanguages
				If aryLangLiveBack(numCount) = "y" then 
					if numCount = 1 then %>
						<tr>
							<td colspan="2"><hr /></td>
						</tr>
					<% end if
					if numTotalLanguages > 1 then %>
						<tr>
							<td class="bold" colspan="2"><% =aryLangBackNames(numCount) %></td>
						</tr>
					<% end if %>
					<tr>
						<td class="bold"><% WriteString("FormLabel_CategoryName") %></td>
						<td><input type="text" name="CAT_Name<% =numCount %>" value="<% =CAT_Name(numCount) %>" size="28" /></td>
					</tr>
					<tr>
						<td valign="top"><% WriteString("FormLabel_CategoryDescription") %></td>
						<td><textarea rows="8" name="CAT_Desc<% =numCount %>" cols="50" wrap="on"><% =CAT_Desc(numCount) %></textarea></td>
					</tr>
					<tr>
						<td colspan="2"><hr /></td>
					</tr>
				<% end if
			next
			%>
			
			<tr>
				<td valign="top"><% WriteString("FormLabel_OrderByValue") %></td>
				<td><input type="text" name="CAT_OrderByValue" value="<% =CAT_OrderByValue %>" size="5" /></td>
			</tr>
			<tr>
				<td><% WriteString("FormLabel_OrderProductsBy") %></td>
				<td>
					<select name="CAT_OrderProductsBy" size="1">
						<option value=""><% WriteString("FormLabel_ConfigOrderByProducts") %></option>
						<option<% If CAT_OrderProductsBy="P_Name" then response.write(" selected=""selected""") %> value="P_Name"><% WriteString("FormLabel_Title") %></option>
						<option<% If CAT_OrderProductsBy="P_OrderByValue" then response.write(" selected=""selected""") %> value="P_OrderByValue"><% WriteString("FormLabel_OrderByValue") %></option>
					</select>
				</td>
			</tr>	
			
			<tr>
				<td colspan="2"><hr /></td>
			</tr>			
			
			<%
			'-----------------------------------------
			'FIND IMAGES
			'-----------------------------------------
			'Normal
			Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")
			strNormalImageHTML = ""
			If Not strCallMode = "new" Then
				strFileName = GetFileLocation(Server.MapPath(GetAppVar("uploadsfolder") & "images_categories/"), CAT_ID, Split(GetAppVar("allowedimages"), ","), objFileSystem)
				If Not strFileName = "" Then
					strNormalImageHTML = "<img src=""" & GetAppVar("uploadsfolder") & "images_categories/" & strFileName & """ vspace=""5"" hspace=""5"" alt="""" /><br />"
					blnJsOpenImages = true
				End if
			End If
					
			'Large
			strLargeImageHTML = ""
			If Not strCallMode = "new" Then
				Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")
				strFileName = GetFileLocation(Server.MapPath(GetAppVar("uploadsfolder") & "images_categories_large/"), CAT_ID, Split(GetAppVar("allowedimages"), ","), objFileSystem)
				If Not strFileName = "" Then
					strLargeImageHTML = "<img src='" & GetAppVar("uploadsfolder") & "images_categories_large/" & strFileName & "' vspace=5 hspace=5><br />"
					blnJsOpenImages = true
				End if
			End If
			Set objFileSystem = Nothing
			%>
			<tr bgcolor="#EEEEEE">
				<td colspan="2" class="bold"><% WriteString("ContentText_Images") %></a>
			</tr>
			<tr bgcolor="#eeeeee" id="imagesbox"><td colspan="2"><table cellpadding="5" cellspacing="0" border="0">
				<tr>
					<td class="small bold"><% WriteString("ContentText_NormalImage") %></td>
					<td><input name="CAT_Image" size="30" type="file" /></td>
				</tr>
				<% if strNormalImageHTML <> "" then %>
					<tr>
						<td colspan="2" align="center"><%= strNormalImageHTML %></td>
					</tr>
					<tr>
						<td colspan="2"><input type="checkbox" name="CAT_DeleteImage" value="y" /><span class="small"><% WriteString("ContentText_TickHereToRemoveImage") %></span></td>
					</tr>
				<% end if %>
				<tr><td colspan="2"><hr /></td></tr>
				<tr>
					<td class="small bold"><% WriteString("ContentText_LargeImage") %></td>
					<td><input name="CAT_Image_Large" size="30" type="file" ID="File2"/></td>
				</tr>
				<% If strLargeImageHTML <> "" then %>
					<tr>
						<td colspan="2" align="center"><%= strLargeImageHTML %></td>
					</tr>
					<tr>
						<td colspan="2"><input type="checkbox" name="CAT_DeleteImage_Large" value="y" /><span class="small"><% WriteString("ContentText_TickHereToRemoveImage") %></span></td>
					</tr>
				<% End If %>
			</table></td></tr>
			
		
			<tr>
				<td>&nbsp;</td>
				<td align="right"><input type="submit" name="btnSubmit" id="submit" value="<% If CAT_ID = 0 Then %> <% WriteString("FormButton_Add") %> <% Else %> <% WriteString("FormButton_Update") %> <% End If %>" /></td>
			</tr>	
			</table>
		</form>
		<%
		'-----------------------------------------------
		'If a prodtype is being edited then we need to	
		'show the delete option.						
		'-----------------------------------------------
		If numRecordCount > 0 Then
		%>
			<form action="_update_prodtype.asp" method="POST" enctype="multipart/form-data">
			<%= objCactuSession.Form %>
			<input name="CAT_ID" type="hidden" value="<% =CAT_ID %>" />
			<input name="strCallMode" type="hidden" value="Delete" />
			<table border="0" cellpadding="5" width="100%" cellspacing="0">
			<tr>
				<td colspan="2" class="bold"><% WriteString("ContentText_DeleteOptionOne") %></td>
			</tr>
			<tr bgcolor="#EEEEEE">
				<td><input name="strSoftDelete" type="submit" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
				<td><% WriteString("ContentText_DeleteOptionOneText") %></td>
			</tr>
			<tr>
				<td colspan="2" class="bold"><% WriteString("ContentText_DeleteOptionTwo") %></td>
			</tr>		
			<tr bgcolor="#EEEEEE">
				<td><input name="strHardDelete" type="submit" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
				<td><% WriteString("ContentText_DeleteOptionTwoText") %></td>
			</tr>
			</table>
		</form>
		<% End If %>
	</td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
