<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "359, 397, 401, 402, 1325, 1348, 1349, 1350, 1351, 1352, 1353, 1354, 1355, 1356, 1357, 1358, 1359, 1360, 1361"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<!--#include file="includes/back_productpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'COLLECT VALUES FROM FORM						
'-----------------------------------------------
REV_ID = NumSafe(request.Form("REV_ID"))
REV_VersionID = NumSafe(request.Form("REV_VersionID"))
REV_LanguageID = NumSafe(request.Form("REV_LanguageID"))
REV_Title = request.Form("REV_Title")
REV_Text = request.Form("REV_Text")
REV_Rating = NumSafe(request.Form("REV_Rating"))
REV_Name = request.Form("REV_Name")
REV_Email = request.Form("REV_Email")
REV_Location = request.Form("REV_Location")
REV_Live = request.Form("REV_Live")
REV_DateLastUpdated = NowOffset()
If REV_Config <> "y" then REV_Config = "n"

'Get relevant application variables
strAppEnableReviews = GetAppVar("enablereviews")
strAppRatingOnReviews = GetAppVar("ratingonreviews")
strAppTitleOnReviews = GetAppVar("titleonreviews")
numAppReviewRatingMax = GetAppVar("reviewratingmax")


'Make sure the review is within bounds
If REV_Rating > numAppReviewRatingMax then REV_Rating = numAppReviewRatingMax

'-----------------------------------------------
'ERROR CHECKING					
'-----------------------------------------------
'Blanks
strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewText"), REV_Text)
if strAppRatingOnReviews = "required" and REV_Rating = 0 then 
	REV_Rating = ""
	strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewRating"), REV_Rating)
End If	
If strAppTitleOnReviews = "required" then strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewTitle"), REV_Title)

'Lengths
strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewTitle"), REV_Title, GetAppVar("REV_Title_AL"))
strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewText"), REV_Text, GetAppVar("REV_Text_AL"))
strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewName"), REV_Name, GetAppVar("REV_Name_AL"))
strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewEmail"), REV_Email, GetAppVar("REV_Email_AL"))
strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_ReviewLocation"), REV_Location, GetAppVar("REV_Location_AL"))


'-----------------------------------------------
'UPDATE DATABASE RECORDS
'-----------------------------------------------
If strErrorMsg = "" then
	strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Reviews SET " &_
	"REV_VersionID=" & REV_VersionID & ", " &_
	"REV_LanguageID=" & REV_LanguageID & ", " &_
	"REV_Title=" & strUnicode & "'" & SQLSafe(REV_Title) & "'," &_
	"REV_Text=" & strUnicode & "'" & SQLSafe(REV_Text) & "'," &_
	"REV_Rating=" & REV_Rating & "," &_
	"REV_Name=" & strUnicode & "'" & SQLSafe(REV_Name) & "'," &_
	"REV_Email=" & strUnicode & "'" & SQLSafe(REV_Email) & "'," &_
	"REV_Location=" & strUnicode & "'" & SQLSafe(REV_Location) & "'," &_
	"REV_Live='" & SQLSafe(REV_Live) & "'," &_
	"REV_DateLastUpdated=" & strDateDelimiter & ReverseDate(REV_DateLastUpdated) & strDateDelimiter & " WHERE REV_ID=" & REV_ID
	Call ExecuteNonQuery(strQuery)
	
	'Pull out hte product ID for this review and update it's average
	strQuery = "SELECT REV_ProductID FROM tblCactuShop" & TABLE_PREFIX & "Reviews WHERE REV_ID = " & REV_ID
	numRevProductID = ExecuteScalar(strQuery)
	UpdateProductAverage numRevProductID
	
	'Move along!
	Call EndPage()
	response.redirect("_review_list.asp?" & strSessionQS & "" & strProductQS) 'Back to list
else %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top"><table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td><h1><% WriteString("PageTitle_Problems") %></h1></td>
	</tr>
	<tr>
		<td><% WriteString("ContentText_PleaseGoBackAndCorrect") %></td>
	</tr>
	<tr>
		<td><% =strErrorMsg %></td>
	</tr>	
	<tr>
		<td class="small"><a href="javascript:history.back()">&#171; <% WriteString("ContentText_BackLink") %></a></td>
	</tr>			
	</table></td>
</tr>
</table>
</div>
</html>
<% end if '// Error
Call EndPage()
%>
